;|
*******************************************************************
*                                                                 *
* Wir sind das "Express-Tools 2 German Project"                   *
* Nachfolgend nur noch abgekrzt durch "ET2GP" !                  *
* --------------------------------------------------------------- *
* Die Beteiligten in alphabetischer Reihenfolge:                  *
*                                                                 *
* Vorname, Name         E-Mail-Adresse          Website           *
* --------------------------------------------------------------- *
* Holger Brischke       kontakt@defun.de        www.defun.de      *
* Martin Drese          drese@defun.de          keine Website     *
* Markus Hoffmann       hoffmann@defun.de       keine Website     *
* Marc Scherer          marc.scherer@zvo.com    keine Website     *
* Peter Tropf           info@petertropf.de      keine Website     *
*                                                                 *
* Special Guest (bersetzung der Hilfe-Texte)                     *
* Walter Verburg        walterverburg@web.de    keine Website     *
*                                                                 *
*******************************************************************

***ET2GP-Anpassung*** -> Kommentar
Diese bersetzung der Express-Tools fr AutoCAD 2004 basiert auf den
originalen, mit AutoCAD 2004 gelieferten Express-Tools von Autodesk.
Da nicht jeder deutsch-sprachige User von AutoCAD des Englischen
mchtig ist, haben wir diese bersetzung vorgenommen.

nderungen an den Originaltexten sind immer mit einem einleitenden
Kommentar versehen, wobei die Steuerzeichen fr Kommentare je nach
Dateiart variieren:

Eine nderung an einer Lisp-Datei ist folgendermaen markiert:

;;; ***ET2GP-Anpassung*** ...

Bei einem DCL-File dann so:

/// ***ET2GP-Anpassung*** ...

Originalzeilen bleiben soweit wie mglich erhalten, werden jedoch durch
ein "Auskommentieren" deaktiviert.

Anderweitige Modifikationen, wie z.B. komplett neue Zeilen oder permanent 
deaktivierte Funktionen sind mit einem erklrendem Kommentar versehen.

Beispiel:
...
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt...
         ;_ (prompt "\nSelect object(s) on the layer(s) to be isolated: ")
         (prompt "\nObjekt(e) auf zu isolierenden Layern whlen: ")
...

Jede angepasste Datei wird mit diesem Header vorneweg versehen, wobei die
nachfolgenden Zeilen bezglich der Informationen (wie z.B. Name des bersetzers)
natrlich variabel sind.

***ET2GP-Anpassung*** -> Kommentar
Version 1.0
30.09.2003
Markus Hoffmann

***ET2GP-Anpassung*** -> Kommentar
02.12.2003
acadinfo.lsp ist in R2004 Bestandteil der Hauptinstallation.
Hier liegt diese Version nun in bersetzter Form vor.
Die Original-Acadinfo.lsp der ETools 2004 funktioniert unter R2004 NICHT
|;

;;
;;  
;;
;;  acadinfo.lsp - report installation information
;;
;;  Copyright  2002 by Autodesk, Inc.
;;
;;  Your use of this software is governed by the terms and conditions of the
;;  License Agreement you accepted prior to installation of this software.
;;  Please note that pursuant to the License Agreement for this software,
;;  "[c]opying of this computer program or its documentation except as
;;  permitted by this License is copyright infringement under the laws of
;;  your country.  If you copy this computer program without permission of
;;  Autodesk, you are violating the law."
;;
;;  AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
;;  AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
;;  MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
;;  DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
;;  UNINTERRUPTED OR ERROR FREE.
;;
;;  Use, duplication, or disclosure by the U.S. Government is subject to
;;  restrictions set forth in FAR 52.227-19 (Commercial Computer
;;  Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
;;  (Rights in Technical Data and Computer Software), as applicable.
;;
;;  ----------------------------------------------------------------
;;
;;  This file defines the ACADINFO command, which locates various 
;;  data items and generates an 'acadinfo.txt' file.  This file 
;;  can be used to analyze installation and setup problems.
;;

(vl-load-com)

(if (and (not (member "acapp.arx" (arx)))
         (setq fna (findfile "acapp.arx"))
    );and
  ;; ***ET2GP-Anpassung*** -> Meldung bersetzt...
  ;;  (arxload fna "\nLoad of 'acapp.arx' failed")
  (arxload fna "\nLaden von 'acapp.arx' fehlgeschlagen")
);if


(setq acet:acadinfo-version "16.0")


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:acadinfo ( / fna fh op)

;initialize a bare bones error handler that will recover from a first try
;load_test failure and re-issue this command.

  (if (not Acet:Acadinfo-Olderr)
      (setq Acet:Acadinfo-Olderr *error*)
  );if

  (defun *error* ( msg / )
    (if Acet:Acadinfo-Error-On-Load-Test
      (progn
        (if fh
            (close fh)
        );if
        (setq *error* Acet:Acadinfo-Olderr
              Acet:Acadinfo-Olderr nil
        );setq
        (c:acadinfo)
        (setq Acet:Acadinfo-Error-On-Load-Test nil)
      );progn
      (princ msg)
    );if
  );defun *error*


  ;; prompt to open a text file to write info
  (if (not Acet:Acadinfo-Error-On-Load-Test)
    (progn
      (setq docDir (getvar "MYDOCUMENTSPREFIX"))
      (setq initFile (strcat docDir "\\acadinfo"))
      (setq fna (getfiled "Select File Name" initFile "txt" 33))
    )
  )


  (if Acet:Acadinfo-Error-On-Load-Test
    (setq op "a")
    (progn
      (textscr)
;;; ***ET2GP-Anpassung*** -> Info bersetzt...
;;;       (princ (strcat "\n"
;;;                      "\nACADINFO is a utility for gathering information about"
;;;                      "\nyour AutoCAD installation and current setup. The routine"
;;;                      "\nwill examine your system and write a text file called"
;;;                      "\n\'" fna "\'"
;;;		              "\nto your hard drive."
;;;              );strcat
;;;       );princ
;;;       (getstring "\nPress ENTER to continue or ESC to cancel... ")
;;;
;;;       (princ "\n\nExamining your AutoCAD setup. Please wait...\n")
      (princ
        (strcat
          "\n"
          "\nACADINFO ist ein Programm, das Informationen zu Ihrer AutoCAD-Installation"
          "\nund den momentanen Einstellungen sammelt. Es untersucht das System"
          "\nund erstellt eine Textdatei namens"
          "\n\'" fna "\'"          
          "\nauf Ihrer Festplatte."
        )                               ;strcat
      )                                 ;princ

      (getstring
        "\nENTER drcken um fortzufahren oder ESC um abzubrechen... "
      ) ;_ end of getstring
      (princ "\n\nUntersuche Ihr AutoCAD-Setup. Bitte warten...\n"
      ) ;_ end of princ
      (setq OP "w")
    )                                   ;progn then
  );if

  (if (setq fh (open fna op))
    (progn
      (close fh) (setq fh (open fna op)) ;close and re-open again in case of
                                         ;garbage echo from error recovery.

      (if (not Acet:Acadinfo-Error-On-Load-Test)
        (progn
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
         ;; (princ "\Performing load tests...")
          (princ "\Fhre Ladetests durch...")

          (acet-acadinfo-do-header fh)

          (acet-acadinfo-do-general fh)

          (acet-acadinfo-do-express fh)

          (acet-acadinfo-do-fileloads fh)

;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
          ;; (write-line "Tests for successful load of LISP initialization files." fh)
          (write-line "Teste erfolgreiches Laden von Lisp Initialisierungsdateien." fh)
          (write-line (acet-acadinfo-test-load "acad2005.lsp") fh)
          (write-line (acet-acadinfo-test-load "acad2005doc.lsp") fh)
          (write-line (acet-acadinfo-test-load "acettest.fas") fh)
          (write-line (acet-acadinfo-test-load "acetutil.fas") fh)
          (write-line (acet-acadinfo-test-load "acetmain.mnl") fh)
        );progn then
        (progn
          (write-line "" fh)
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;          (write-line "*****FAILURE during lisp file load tests.**** " fh)
;;;          (write-line "One of the following files causes an error on load: " fh)
          (write-line "*****FEHLER whrend der Ladetests von Lisp-Dateien.**** " fh)
	  (write-line "Eine der folgenden Dateien hat einen Fehler whrend des Ladevorgangs verursacht: " fh)
          (write-line "  acad2005.lsp"  fh)
          (write-line "  acad2005doc.lsp"  fh)
          (write-line "  acettest.fas" fh)
          (write-line "  acetutil.fas" fh)
          (write-line "  acetmain.mnl" fh)
        );progn else
      );if

      (write-line "" fh)
      (write-line (strcat "(arx) -> " (acet-acadinfo-item-to-string (arx))) fh)
      (write-line "" fh)

;;; ***ET2GP-Anpassung*** -> Titel bersetzt...
;;;      (write-line " ------------------------- TYPELIB TEST -------------------------" fh)
      (write-line " ------------------------- TYP-BIBLIOTHEK TEST -------------------------" fh)
      (write-line "" fh)
      (acet-acadinfo-check-typelib fh)
      (write-line "" fh)

;;; ***ET2GP-Anpassung*** -> Titel bersetzt...
;;;      (write-line " ------------------- SYSTEM VARIABLE SETTINGS -------------------" fh)
      (write-line " ------------------- EINSTELLUNGEN DER SYSTEMVARIABLEN -------------------" fh)
      (write-line "|;" fh)

      (close fh)

      (acet-acadinfo-vars-to-scr fna -1);append

      (acet-acadinfo-lisp-dump fna)
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;      (princ "\nDone.")
      (princ "\nFertig.")
    );progn then
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;    (princ "\nCannot open file for write.")
    (princ "\nKann Datei nicht zum Schreiben ffnen.")
  );if

  (setq *error* olderr)

  (princ)
);defun c:acadinfo


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-acadinfo-do-header ( fh )
  (write-line ";|" fh)
  (write-line "" fh)
;;; ***ET2GP-Anpassung*** -> Titel bersetzt...
;;;  (write-line (strcat " Using ACADINFO.LSP version " acet:acadinfo-version) fh)
  (write-line (strcat " Benutze ACADINFO.LSP Version " acet:acadinfo-version) fh)
  (write-line "" fh)
;;; ***ET2GP-Anpassung*** -> Daten bersetzt...
;;;  (write-line " Your Name           : " fh)
;;;  (write-line " Your E-mail Address : " fh)
;;;  (write-line " Your Phone Number   : " fh)
;;;  (write-line " Problem Description : " fh)
  (write-line " Ihr Name            : " fh)
  (write-line " Ihre E-mail Adresse : " fh)
  (write-line " Ihre Telefonnummer  : " fh)
  (write-line " Fehlerbeschreibung  : " fh)
  (write-line "" fh)
  (write-line "" fh)
  (write-line "" fh)
  (write-line "" fh)
  (write-line "" fh)
;;; ***ET2GP-Anpassung*** -> Daten bersetzt...
;;;  (write-line " Steps To Reproduce" fh)
  (write-line " Schritte zur Reproduktion" fh)
  (write-line "   1. " fh)
  (write-line "   2. " fh)
  (write-line "   3. " fh)
  (write-line "   4. " fh)
  (write-line "   5. " fh)
  (write-line "   ..." fh)
  (write-line "" fh)
  (write-line "" fh)
)

(defun acet-acadinfo-do-general ( fh )
;;; ***ET2GP-Anpassung*** -> Titel bersetzt...
;;;  (write-line " ---------------------- GENERAL INFORMATION ---------------------" fh)
  (write-line " ---------------------- ALLGEMEINE INFORMATIONEN ---------------------" fh)
  (write-line "" fh)
;;; ***ET2GP-Anpassung*** -> Daten bersetzt...
;;;  (write-line (strcat "User Name: "
  (write-line (strcat "Anwendername: "
                (acet-acadinfo-item-to-string (getenv "USERNAME"))
              );strcat
              fh
  );write-line

;;; ***ET2GP-Anpassung*** -> Daten bersetzt...
;;;  (write-line (strcat "Computer Name: "
  (write-line (strcat "Computername: "
                (acet-acadinfo-item-to-string (getenv "COMPUTERNAME"))
              );strcat
              fh
  );write-line

;;; ***ET2GP-Anpassung*** -> Daten bersetzt...
;;;  (write-line (strcat "Platform: "
  (write-line (strcat "Betriebssystem: "
                (acet-acadinfo-item-to-string (getvar "PLATFORM"))
              );strcat
              fh
  );write-line

  (write-line "" fh)
)

(defun acet-acadinfo-do-fileloads (fh / a b)
;;; ***ET2GP-Anpassung*** -> Titel bersetzt...
;;;  (write-line " ------------------- FILE LOADING INFORMATION -------------------" fh)
  (write-line " ---------------- INFORMATION BER LADEVORGNGE -----------------" fh)
  (write-line "" fh)
  (setq a (findfile "acad2005.lsp"));setq
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;  (setq a (strcat "acad2005.LSP FOUND AT: " (acet-acadinfo-item-to-string a)));setq
  (setq a (strcat "acad2005.LSP GEFUNDEN IN: " (acet-acadinfo-item-to-string a)))
  (write-line a fh)

  (setq a (findfile "acad2005doc.lsp"));setq
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;  (setq a (strcat "acad2005DOC.LSP FOUND AT: " (acet-acadinfo-item-to-string a)));setq
  (setq a (strcat "acad2005DOC.LSP GEFUNDEN IN: " (acet-acadinfo-item-to-string a)))
  (write-line a fh)

  (write-line "" fh)
)

(defun acet-acadinfo-do-express (fh / a b)
  (write-line " ------------------ EXPRESS TOOLS INFORMATION -------------------" fh)
  (write-line "" fh)
  (setq a (findfile "acad2005doc.lsp"));setq
  (setq b (acet-acadinfo-item-to-string (acet-acadinfo-acad2005doc-lsp-check a)));setq
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;  (write-line (strcat "acad2005DOC.LSP Express Tools load: " b) fh) ;the line that loads Express
  (write-line (strcat "acad2005DOC.LSP Express Tools geladen: " b) fh)

  (write-line a fh)
  (setq a (findfile "acetutil.arx")
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;       a (strcat "ACETUTIL.ARX FOUND AT: " (acet-acadinfo-item-to-string a))
       a (strcat "ACETUTIL.ARX GEFUNDEN IN: " (acet-acadinfo-item-to-string a))
  );setq
  (write-line a fh)

  (setq a (findfile "acettest.fas")
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;       a (strcat "ACETTEST.FAS FOUND AT: " (acet-acadinfo-item-to-string a))
       a (strcat "ACETTEST.FAS GEFUNDEN IN: " (acet-acadinfo-item-to-string a))
  );setq
  (write-line a fh)

  (setq a (findfile "acetutil.fas")
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;       a (strcat "ACETUTIL.FAS FOUND AT: " (acet-acadinfo-item-to-string a))
       a (strcat "ACETUTIL.FAS GEFUNDEN IN: " (acet-acadinfo-item-to-string a))
  );setq
  (write-line a fh)

  (setq a (findfile "acetauto.lsp")
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;       a (strcat "ACETAUTO.LSP FOUND AT: " (acet-acadinfo-item-to-string a))
       a (strcat "ACETAUTO.LSP GEFUNDEN IN: " (acet-acadinfo-item-to-string a))
  );setq
  (write-line a fh)

  (setq a (findfile "acetmain.mnl")
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;       a (strcat "ACETMAIN.MNL FOUND AT: " (acet-acadinfo-item-to-string a))
       a (strcat "ACETMAIN.MNL GEFUNDEN IN: " (acet-acadinfo-item-to-string a))
  );setq
  (write-line a fh)


  (write-line "" fh)
  (write-line (strcat "(menugroup \"EXPRESS\") = " (acet-acadinfo-item-to-string (menugroup "EXPRESS"))) fh)
  (write-line "" fh)
)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-acadinfo-check-typelib ( fh / fna key1 key2)
  (setq key1 "HKEY_CLASSES_ROOT\\TypeLib\\{C094C1E2-57C6-11d2-85E3-080009A0C626}\\1.1\\0\\win32"
        key2 "HKEY_CLASSES_ROOT\\TypeLib\\{C094C1E2-57C6-11d2-85E3-080009A0C626}\\1.1\\9\\win32"
        key1 (vl-registry-read key1)
        key2 (vl-registry-read key2)
  );setq
  (cond
    ((not key1)
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;      (write-line "Cannot open registry key 0 for AcAx16enu.tlb check" fh)
     (write-line "Kann Registrierungs-Schlssel 0 fr AcAx16enu.tlb Prfung nicht ffnen" fh)
    )
    ((not key2)
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;      (write-line "Cannot open registry key 9 for AcAx16enu.tlb check" fh)
      (write-line "Kann Registrierungs-Schlssel 9 fr AcAx16enu.tlb Prfung nicht ffnen" fh)
    )
    ((not (findfile key1))
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;      (write-line (strcat "Cannot locate '" key1 "'.") fh)
     (write-line (strcat "Nicht gefunden: '" key1 "'.") fh)
    )
    ((not (findfile key2))
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;      (write-line (strcat "Cannot locate '" key2 "'.") fh)
     (write-line (strcat "Nicht gefunden: '" key2 "'.") fh)
    )
    (T
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;      (write-line "'AcAx16enu.tlb' file located." fh)
     (write-line "Datei 'AcAx16enu.tlb' gefunden." fh)
    )
  )
);defun acet-acadinfo-check-typelib

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:lspdump ( / fna )

(setq fna (getvar "dwgname")
      fna (substr fna 1 (- (strlen fna) 4))
      fna (strcat fna ".dmp")
);setq
(acet-acadinfo-lisp-dump fna)

(princ)
);defun c:lspdump

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:addvars2scr ( / fna )
 (setq fna (getfiled
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;             "Enter the name of the script to add your variable settings to"
             "Name des Skripts, dem die Variableneinstellungen hinzugefgt werden soll."
             (substr (getvar "dwgname") 1 (- (strlen (getvar "dwgname")) 4))
             "SCR"
             0
           );getfiled
 );setq
 (acet-acadinfo-vars-to-scr fna 0)
 (princ)
);defun c:addvars2scr

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:vars2scr ( / fna)
 (setq fna (getfiled
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;             "Enter the name of the script file to create"
             "Name der zu erstellenden Skriptdatei eingeben"
             (substr (getvar "dwgname") 1 (- (strlen (getvar "dwgname")) 4))
             "SCR"
             1
           );getfiled
 );setq
 (acet-acadinfo-vars-to-scr fna 1)
 (princ)
);defun c:vars2scr


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-acadinfo-product-key ()
 (cond
  ( acet-reg-prodkey
    (acet-reg-prodkey)
  )
  ( bns_get-product-key
    (bns_get-product-key)
  )
  (T
   ""
  )
 );cond close
);defun acet-acadinfo-product-key

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-acadinfo-test-load (fna / a)
  (if (setq a (findfile fna))
    (progn
      (setq Acet:Acadinfo-Error-On-Load-Test T) ;this is so the error handler can recover
      (setq a (load fna 99))
      (setq Acet:Acadinfo-Error-On-Load-Test nil)
      (if (not (equal a 99))
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;        (setq a (strcat "Load test passed. File: " fna));setq then
;;;        (setq a (strcat "Load test *FAILED*. Load failed for file: " fna));setq else
	(setq a (strcat "Ladetest erfolgreich. Datei: " fna));setq then
        (setq a (strcat "Ladetest *FEHLER*. Ladevorgang gescheitert bei Datei: " fna));setq else
      );if
    );progn then
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;    (setq a (strcat "Load test *FAILED*. File not found: " fna));setq else
    (setq a (strcat "Ladetest *FEHLER*. Datei nicht gefunden: " fna));setq else
  );if
  a
);defun acet-acadinfo-test-load

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-acadinfo-acad2005doc-lsp-check ( fna / fh a b)
  (if fna
    (progn
      (if (setq fh (open fna "r"))
        (progn
          (while (setq b (read-line fh))
            (setq b (strcase b))
            (if (wcmatch b "*(LOAD \"ACETTEST.FAS*")
              (setq a b);setq then
            );if
          );while
          (close fh)
        );progn then
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;        (setq a "UNABLE TO READ: acad2005DOC.LSP!");setq else
      	(setq a "acad2005DOC.LSP KONNTE NICHT GELESEN WERDEN!");setq else
      );if
    );progn then
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;    (setq a "acad2005DOC.LSP NOT FOUND!")
    (setq a "acad2005DOC.LSP NICHT GEFUNDEN!")
  );if
  (if (not a)
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;    (setq a "No load statement for Express Tools.")
    (setq a "Kein Ladebefehl fr Express Tools.")    
  )
  a
);defun acet-acadinfo-acad2005doc-lsp-check



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-acadinfo-lisp-dump ( fna / fh lst lst2 lst3 n a b c)

;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;(princ "\nFormatting and writing ouput. Please wait....")
(princ "\nFormatiere und erstelle Analyse. Bitte warten....")
(setq  lst (atoms-family 1)
       lst (acad_strlsort lst)
);setq
(setq n 0)
(repeat (length lst)
 (setq a (nth n lst)
       b (eval (read a))
       b (acet-acadinfo-pre-process-strings b)
       c (acet-acadinfo-item-to-string b)
       a (strcat "(setq " a "\t")
       c (strcat c ")")
 );setq
 (if (equal (type b) 'LIST)
     (setq c (strcat "'" c));setq then
 );if
 (setq a (strcat a c));setq
 (if (or (equal (type b) 'EXRXSUBR) ;arx
         (equal (type b) 'SUBR)     ;internal lisp
         (equal (type b) 'FILE)
         (equal (nth n lst) "PAUSE")
         (equal b (princ))          ;causes an error on load
     );or
     (setq    a (strcat ";" a)
           lst3 (append lst3 (list a))
     );setq then
     (setq lst2 (append lst2 (list a)));setq else
 );if
(acet-acadinfo-spinner)
(setq n (+ n 1));setq
);repeat

(if (setq fh (open fna "a"));setq
    (progn
  (acet-acadinfo-spinner)
     (setq n 0);setq
     (repeat (length lst3)          ;commented lisp
      (setq a (nth n lst3));setq
      (write-line a fh)
      (setq n (+ n 1));setq
     );repeat
  (acet-acadinfo-spinner)

     (setq n 0);setq               ;active lisp
     (repeat (length lst2)
      (setq a (nth n lst2));setq
      (write-line a fh)
      (setq n (+ n 1));setq
     );repeat
     (write-line "(princ)" fh)
     (close fh)
  (acet-acadinfo-spinner)
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;     (princ (strcat "\n\nOutput written to: " (acet-acadinfo-item-to-string (findfile fna)) ))
     (princ (strcat "\n\nAnalyse wurde erstellt in: " (acet-acadinfo-item-to-string (findfile fna)) ))
    );progn then
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;    (princ "\nWrite failed.")
    (princ "\nSchreibvorgang gescheitert.")
);if

);defun acet-acadinfo-lisp-dump


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-acadinfo-pre-process-strings ( lst / a b lst2 n flag)

(cond
 ((equal (type lst) 'LIST)
     (if (not (equal (type (cdr lst)) 'LIST)) ;then dotted pair
         (progn
          (setq flag T
                   a (car lst)
                   b (cdr lst)
          );setq
          (if (or (equal (type a) 'ENAME)
                  (equal (type a) 'PICKSET)
              );or
              (setq a (acet-acadinfo-item-to-string a))
          );if
          (if (or (equal (type b) 'ENAME)
                  (equal (type b) 'PICKSET)
              );or
              (setq b (acet-acadinfo-item-to-string b))
          );if
          (setq lst (list a b));setq
         );progn then dotted pair
     );if
     (setq n 0);setq
     (repeat (length lst)
     (setq a (nth n lst));setq
     (cond
      ((equal (type a) 'LIST)
       (setq a (acet-acadinfo-pre-process-strings a));setq
      );cond #1
      ((equal (type a) 'STR)
       (setq a (acet-acadinfo-str-replace (chr 34)
                           "'" ;(strcat (chr 92) (chr 34))
                           a
               )
             a (acet-acadinfo-str-replace "\\" "/" a)
       );setq
      );cond #2
      ((or (equal (type a) 'ENAME)
           (equal (type a) 'PICKSET)
       );or
       (setq a (acet-acadinfo-item-to-string a));convert the entname or selection set to a string
      );cond #3
     );cond close
     (setq lst2 (append lst2 (list a)));setq
     (setq n (+ n 1));setq
     );repeat
     (if flag
         (setq lst2 (cons (car lst2) (cadr lst2)));setq
     );if
 );cond #1 then list
 ((equal (type lst) 'STR)
         (setq    a lst
                  a (acet-acadinfo-str-replace (chr 34)
                                "'" ;(strcat (chr 92) (chr 34))
                                a
                    )
                  a (acet-acadinfo-str-replace "\\" "/" a)
               lst2 a
         );setq then
 );cond #2
 ((or (equal (type lst) 'ENAME)
      (equal (type lst) 'PICKSET)
  );or
  (setq lst2 (acet-acadinfo-item-to-string lst));convert the entname or selection set to a string
 );cond #3
 (T
  (setq lst2 lst);setq else
 );cond #4
);cond close
lst2
);defun acet-acadinfo-pre-process-strings

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-acadinfo-vars-to-scr ( fna flag / fna fh lst lst2 lst3 lst4 n a b)
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;;  (princ "\nWriting AutoCAD system variable information...")
  (princ "\nErstelle Informationen ber AutoCAD Systemvariablen...")

  (if (equal flag 0)
      (progn
       (setq fh (open fna "r"));setq
       (while (setq a (read-line fh))
        (setq lst (append lst (list a)));setq
       );while
       (close fh)
      );progn then read the existing file
  );if

  ;lst2 is the read-only vars
  (setq lst2
    (list
      "ACADPREFIX"
      "ACADVER"
      "AREA"
      "BACKZ"
      "CDATE"
      "CMDACTIVE"
      "CMDNAMES"
      "CPLOTSTYLE"
      "CPROFILE"
      "DATE"
      "DBMOD"
      "DEFLPLSTYLE"
      "DEFPLSTYLE"
      "DIASTAT"
      "DIMSTYLE"
      "DISTANCE"
      "DWGCODEPAGE"
      "DWGNAME"
      "DWGPREFIX"
      "DWGTITLED"
      "EXTMAX"
      "EXTMIN"
      "FRONTZ"
      "FULLOPEN"
      "HANDLES"
      "LASTANGLE"
      "LASTPROMPT"
      "LENSLENGTH"
      "LOCALE"
      "LOGINNAME"
      "MENUNAME"
      "PERIMETER"
      "PFACEVMAX"
      "PLATFORM"
      "POPUPS"
      "PSTYLEMODE"
      "REFEDITNAME"
      "SAVEFILE"
      "SAVENAME"
      "SCREENBOXES"
      "SCREENMODE"
      "SCREENSIZE"
      "SYSCODEPAGE"
      "TARGET"
      "TDCREATE"
      "TDINDWG"
      "TDUCREATE"
      "TDUPDATE"
      "TDUSRTIMER"
      "TDUUPDATE"
      "TEMPPREFIX"
      "UCSNAME"
      "UCSORG"
      "UCSXDIR"
      "UCSYDIR"
      "UNDOCTL"
      "UNDOMARKS"
      "VIEWCTR"
      "VIEWDIR"
      "VIEWMODE"
      "VIEWSIZE"
      "VIEWTWIST"
      "VSMAX"
      "VSMIN"
      "WORLDUCS"
      "WRITESTAT"
    );lst2 is the read-only vars

          lst3
    (list
      "ACADLSPASDOC"
      "ACISOUTVER"
      "AFLAGS"
      "ANGBASE"
      "ANGDIR"
      "APBOX"
      "APERTURE"
      "ATTDIA"
      "ATTMODE"
      "ATTREQ"
      "AUDITCTL"
      "AUNITS"
      "AUPREC"
      "AUTOSNAP"
      "BINDTYPE"
      "BLIPMODE"
      "CECOLOR"
      "CELTSCALE"
      "CELTYPE"
      "CELWEIGHT"
      "CHAMFERA"
      "CHAMFERB"
      "CHAMFERC"
      "CHAMFERD"
      "CHAMMODE"
      "CIRCLERAD"
      "CLAYER"
      "CMDDIA"
      "CMDECHO"
      "CMLJUST"
      "CMLSCALE"
      "CMLSTYLE"
      "COMPASS"
      "COORDS"
      "CTAB"
      "CURSORSIZE"
      "CVPORT"
      "DCTCUST"
      "DCTMAIN"
      "DELOBJ"
      "DEMANDLOAD"
      "DIMADEC"
      "DIMALT"
      "DIMALTD"
      "DIMALTF"
      "DIMALTRND"
      "DIMALTTD"
      "DIMALTTZ"
      "DIMALTU"
      "DIMALTZ"
      "DIMAPOST"
      "DIMASO"
      "DIMASZ"
      "DIMATFIT"
      "DIMAUNIT"
      "DIMAZIN"
      "DIMBLK"
      "DIMBLK1"
      "DIMBLK2"
      "DIMCEN"
      "DIMCLRD"
      "DIMCLRE"
      "DIMCLRT"
      "DIMDEC"
      "DIMDLE"
      "DIMDLI"
      "DIMDSEP"
      "DIMEXE"
      "DIMEXO"
      "DIMFIT"
      "DIMFRAC"
      "DIMGAP"
      "DIMJUST"
      "DIMLDRBLK"
      "DIMLFAC"
      "DIMLIM"
      "DIMLUNIT"
      "DIMLWD"
      "DIMLWE"
      "DIMPOST"
      "DIMRND"
      "DIMSAH"
      "DIMSCALE"
      "DIMSD1"
      "DIMSD2"
      "DIMSE1"
      "DIMSE2"
      "DIMSHO"
      "DIMSOXD"
      "DIMTAD"
      "DIMTDEC"
      "DIMTFAC"
      "DIMTIH"
      "DIMTIX"
      "DIMTM"
      "DIMTMOVE"
      "DIMTOFL"
      "DIMTOH"
      "DIMTOL"
      "DIMTOLJ"
      "DIMTP"
      "DIMTSZ"
      "DIMTVP"
      "DIMTXSTY"
      "DIMTXT"
      "DIMTZIN"
      "DIMUNIT"
      "DIMUPT"
      "DIMZIN"
      "DISPSILH"
      "DONUTID"
      "DONUTOD"
      "DRAGMODE"
      "DRAGP1"
      "DRAGP2"
      "DWGCHECK"
      "EDGEMODE"
      "ELEVATION"
      "EXPERT"
      "EXPLMODE"
      "EXTNAMES"
      "FACETRATIO"
      "FACETRES"
      "FILEDIA"
      "FILLETRAD"
      "FILLMODE"
      "FONTALT"
      "FONTMAP"
      "GRIDMODE"
      "GRIDUNIT"
      "GRIPBLOCK"
      "GRIPCOLOR"
      "GRIPHOT"
      "GRIPS"
      "GRIPSIZE"
      "HIDEPRECISION"
      "HIGHLIGHT"
      "HPANG"
      "HPBOUND"
      "HPDOUBLE"
      "HPNAME"
      "HPSCALE"
      "HPSPACE"
      "HYPERLINKBASE"
      "IMAGEHLT"
      "INDEXCTL"
      "INETLOCATION"
      "INSBASE"
      "INSNAME"
      "INSUNITS"
      "INSUNITSDEFSOURCE"
      "INSUNITSDEFTARGET"
      "ISAVEBAK"
      "ISAVEPERCENT"
      "ISOLINES"
      "LASTPOINT"
      "LIMCHECK"
      "LIMMAX"
      "LIMMIN"
      "LISPINIT"
      "LOGFILEMODE"
      "LOGFILEPATH"
      "LTSCALE"
      "LUNITS"
      "LUPREC"
      "LWDEFAULT"
      "LWDISPLAY"
      "LWUNITS"
      "MAXACTVP"
      "MAXSORT"
      "MBUTTONPAN"
      "MEASUREINIT"
      "MEASUREMENT"
      "MENUCTL"
      "MENUECHO"
      "MIRRTEXT"
      "MODEMACRO"
      "MTEXTED"
      "OFFSETDIST"
      "OFFSETGAPTYPE"
      "OLEHIDE"
      "OLEQUALITY"
      "OLESTARTUP"
      "ORTHOMODE"
      "OSMODE"
      "OSNAPCOORD"
      "PAPERUPDATE"
      "PDMODE"
      "PDSIZE"
      "PELLIPSE"
      "PICKADD"
      "PICKAUTO"
      "PICKBOX"
      "PICKDRAG"
      "PICKFIRST"
      "PICKSTYLE"
      "PLINEGEN"
      "PLINETYPE"
      "PLINEWID"
      "PLOTID"
      "PLOTLEGACY"
      "PLOTROTMODE"
      "PLOTTER"
      "PLQUIET"
      "POLARADDANG"
      "POLARANG"
      "POLARDIST"
      "POLARMODE"
      "POLYSIDES"
      "PROJECTNAME"
      "PROJMODE"
      "PROXYGRAPHICS"
      "PROXYNOTICE"
      "PROXYSHOW"
      "PSLTSCALE"
      "PSPROLOG"
      "PSQUALITY"
      "PSTYLEPOLICY"
      "PSVPSCALE"
      "PUCSBASE"
      "QTEXTMODE"
      "RASTERPREVIEW"
      "REGENMODE"
      "RTDISPLAY"
      "SAVEFILEPATH"
      "SAVETIME"
      "SDI"
      "SHADEDGE"
      "SHADEDIF"
      "SHORTCUTMENU"
      "SHPNAME"
      "SKETCHINC"
      "SKPOLY"
      "SNAPANG"
      "SNAPBASE"
      "SNAPISOPAIR"
      "SNAPMODE"
      "SNAPSTYL"
      "SNAPTYPE"
      "SNAPUNIT"
      "SOLIDCHECK"
      "SORTENTS"
      "SPLFRAME"
      "SPLINESEGS"
      "SPLINETYPE"
      "STYLESHEET"
      "SURFTAB1"
      "SURFTAB2"
      "SURFTYPE"
      "SURFU"
      "SURFV"
      "TABMODE"
      "TEXTEVAL"
      "TEXTFILL"
      "TEXTQLTY"
      "TEXTSIZE"
      "TEXTSTYLE"
      "THICKNESS"
      "TILEMODE"
      "TOOLTIPS"
      "TRACEWID"
      "TRACKPATH"
      "TREEDEPTH"
      "TREEMAX"
      "TRIMMODE"
      "TSPACEFAC"
      "TSPACETYPE"
      "TSTACKALIGN"
      "TSTACKSIZE"
      "UCSAXISANG"
      "UCSBASE"
      "UCSFOLLOW"
      "UCSICON"
      "UCSORTHO"
      "UCSVIEW"
      "UCSVP"
      "UNITMODE"
      "VISRETAIN"
      "WHIPARC"
      "WMFBKGND"
      "WORLDVIEW"
      "XCLIPFRAME"
      "XEDIT"
      "XFADECTL"
      "XLOADCTL"
      "XLOADPATH"
      "XREFCTL"
      "ZOOMFACTOR"
    );lst3 is the non-read-only vars

         lst4
    (list
      "CLAYER"   ;These are not read-only vars but they are vars that are
      "CVPORT"   ;likely to cause problems if you try to
      "DIMBLK"   ;(load "acaddata.txt") with a different drawing
      "DIMBLK1"  ;open than the one that was open when the data file was
      "DIMBLK2"  ;created. The solution is to include them in the output
      "DIMTXSTY" ;but commented out.
      "FONTALT"
      "FONTMAP"
      "HPNAME"
      "INSNAME"
      "LOGFILENAME"
      "LOGFILEMODE"
      "LOGFILEPATH"
      "MTEXTED"
      "PLOTLEGACY"
      "PLOTID"
      "PLOTTER"
      "PROJECTNAME"
      "SHPNAME"
      "STYLESHEET"
      "TEXTSTYLE"
      "XLOADPATH"
      "PUCSBASE"
      "UCSAXISANG"
      "UCSBASE"

    );list
  );setq


  (if (equal flag -1)
      (setq fh (open fna "a"));setq ;then append to end of file
      (setq fh (open fna "w"));setq else
  );if

  (setq n 0);setq

  (repeat (length lst2)
   (setq a (nth n lst2)
         b (getvar a)
   );setq
   (if (not (equal 'STR (type b)))
       (setq b (acet-acadinfo-item-to-string b));setq
   );if
;;; ***ET2GP-Anpassung*** -> Anmerkung bersetzt...
;;;   (write-line (strcat (chr 59) " read-only - " a " " b)
;;;               fh
;;;   );write-line
   (write-line (strcat (chr 59) " schreibgeschtzt - " a " " b)
               fh
   )
   (setq n (+ n 1));setq
  );repeat

  (setq n 0);setq
  (repeat (length lst3)
   (setq a (nth n lst3)
         b (getvar a)
   );setq
   (if (not (equal 'STR (type b)))
       (setq b (acet-acadinfo-item-to-string b));setq then
       (progn
        (if (and (equal b "")
                 (or (wcmatch a "FONT*")
                     (equal a "PROJECTNAME")
                 );or
            );and
            (setq b ".")
        );if
        (setq b (strcat "\"" b "\"")
              b (acet-acadinfo-str-replace "\\" "/" b)
        );setq
       );progn else
   );if
   (if (equal "(" (substr b 1 1))
       (setq b (strcat "'" b));setq
   );if
   (if (member a lst4)
       (write-line (strcat ";(setvar \"" ;commented to avoid load problems
                             a
                           "\" "
                             b
                           ")"
                   );strcat
                   fh
       );write-line then comment out
       (write-line (strcat "(setvar \""
                             a
                             "\" "
                             b
                             ")"
                   );strcat
                   fh
       );write-line else active lisp durring load.
   );if
   (setq n (+ n 1));setq
  );repeat

  (setq n 0);setq
  (repeat (length lst)
   (setq a (nth n lst));setq
   (write-line a fh)
   (setq n (+ n 1));setq
  );repeat

  (close fh)

);defun acet-acadinfo-vars-to-scr

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;acet-acadinfo-str-replace function
;takes three string arguments:
;i.e. (acet-acadinfo-str-replace "old" "new" "the old car is cool!")
;returns "the new car is cool!"
;
(defun acet-acadinfo-str-replace ( b a c / d n )
(setq d (acet-acadinfo-str-find b c)
      n 0
);setq
(repeat (length d)
(setq c (strcat
         (substr c
                 1
                 (+
                    (*
                       (- (strlen a) (strlen b))
                       n
                    );mult
                    (- (nth n d) 1)
                 );plus
         );substr
         a
         (substr c
                 (+ ( nth n d)
                    (*
                      ( - (strlen a) (strlen b))
                      n
                   );mult
                   (strlen b)
                 );plus
         );substr
        );strcat
);setq
(setq n (+ n 1));setq
);repeat
c
);defun acet-acadinfo-str-replace

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;**acet-acadinfo-str-find** STRing SEArch function that searches for a specified substring
;in another larger supplied string and then returns a list of the start
;positions of each occurrence of that string in the larger string
;
(defun acet-acadinfo-str-find (a b / c n)
(cond
((equal "" a)
 (setq c nil)
);cond #1
((not (equal (type b) (type "1")))
;;; ***ET2GP-Anpassung*** -> Rckmeldung bersetzt...
;;; (progn (print "ARGUMENT NOT A STRING!!!!")
 (progn (print "ARGUMENT IST KEIN STRING!!!!")
       (print b)
       (setq c nil)
 );progn
);cond #2
( T
  (progn
   (setq n 1);setq
   (while (>=
             (+ (- (strlen b) n) 1)
             (strlen a)
           );test while arg.
   (if (equal
             (substr b n (strlen a))
             a
       );equal
       (setq c (append c (list n))
             n (-
                  (+ n
                     (strlen a)
                  );plus
                  1
               );minus
       );setq
    );if
    (setq n (+ n 1));setq
    );while
   );progn
 );cond #3
);cond close
c
);defun acet-acadinfo-str-find

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-acadinfo-item-to-string ( a / fh fna)
  (cond
    ((equal (type a) 'REAL)
      (setq a (rtos a 2 4))
      (if (equal (substr a 1 1) ".")
          (setq a (strcat "0" a))
      );if
    )
    ((equal (type a) 'STR)
      (setq a (strcat "\"" a "\""))
    )
    ((equal (type a) 'INT)
      (setq a (itoa a))
    )
    (T
      (setq fna (vl-filename-mktemp)
            fh  (open fna "w")
      );setq
      (print a fh)
      (close fh)
      (setq fh (open fna "r"));setq
      (setq a (read-line fh));setq
      (setq a (read-line fh));setq
      (close fh)
      (vl-file-delete fna)
    )
  );cond close
  a
);defun acet-acadinfo-item-to-string

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-acadinfo-spinner ( / )
  (if (not #spin)
      (setq #spin "-")
  );if
  (cond
   ((equal #spin "-") (setq #spin "\\"))
   ((equal #spin "\\") (setq #spin "|"))
   ((equal #spin "|") (setq #spin "/"))
   (T (setq #spin "-"))
  );cond close
  (princ (strcat (chr 8) #spin))
);defun acet-acadinfo-spinner

(princ)
