/// *******************************************************************
/// *                                                                 *
/// * Wir sind das "Express-Tools 2 German Project"                   *
/// * Nachfolgend nur nach abgekrzt durch "ET2GP" !                  *
/// * --------------------------------------------------------------- *
/// * Die Beteiligten in alphabetischer Reihenfolge:                  *
/// *                                                                 *
/// * Vorname, Name      E-Mail-Adresse             Website           *
/// * --------------------------------------------------------------- *
/// * Holger Brischke       kontakt@defun.de        www.defun.de      *
/// * Martin Drese          drese@defun.de          keine Website     *
/// * Markus Hoffmann       hoffmann@defun.de       keine Website     *
/// * Marc Scherer          marc.scherer@zvo.com    keine Website     *
/// * Peter Tropf           info@petertropf.de      keine Website     *
/// *                                                                 *
/// * Special Guest (bersetzung der Hilfe-Texte)                     *
/// * Walter Verburg        walterverburg@web.de    keine Website     *
/// *******************************************************************
/// 
/// ***ET2GP-Anpassung*** ->Kommentar
/// Diese bersetzung der Express-Tools fr AutoCAD 2004 basiert auf den
/// originalen, mit AutoCAD 2004 gelieferten Express-Tools von Autodesk.
/// Da nicht jeder deutsch-sprachige User von AutoCAD des Englischen
/// mchtig ist, haben wir diese bersetzung vorgenommen.
/// 
/// nderungen an den Originaltexten sind immer mit einem einleitenden
/// Kommentar versehen, wobei die Steuerzeichen fr Kommentar je nach
/// Dateiart variiert:
///
/// Eine nderung an einer Lisp-Datei ist folgendermaen markiert:
/// 
/// ;;; ***ET2GP-Anpassung*** ..."
/// 
/// Bei einem DCL-File dann so:
///
/// "/// ***ET2GP-Anpassung*** ..." 
/// 
/// Originalzeilen bleiben soweit wie mglich erhalten, werden jedoch durch
/// ein "Auskommentieren" deaktiviert.
/// 
/// Anderweitige Modifikationen, wie z.B. komplett neue Zeilen oder permanent 
/// deaktivierte Funktionen sind mit einem erklrendem Kommentar versehen.
/// 
/// Beispiel:
/// ...
/// ;;; ***ET2GP-Anpassung*** -> Dialog bersetzt...
///          ;_ (prompt "\nSelect object(s) on the layer(s) to be isolated: ")
///          (prompt "\nObjekt(e) auf zu isolierenden Layern whlen: ")
/// ...
/// 
/// Jede angepasste Datei wird mit diesem Header vorneweg versehen wobei die
/// nachfolgenden Zeilen bezglich der Informationen (wie z.B. Name des bersetzers)
/// natrlich variabel sind.
/// 
/// ***ET2GP-Anpassung*** -> Kommentar
/// Version 1.0
/// 24.07.2003
/// Markus Hoffmann
//
//
//    ACETURL.DCL
//    Copyright  1999 by Autodesk, Inc.
//
//    Your use of this software is governed by the terms and conditions of the
//    License Agreement you accepted prior to installation of this software.
//    Please note that pursuant to the License Agreement for this software,
//    "[c]opying of this computer program or its documentation except as
//    permitted by this License is copyright infringement under the laws of
//    your country.  If you copy this computer program without permission of
//    Autodesk, you are violating the law."
//
//    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//    UNINTERRUPTED OR ERROR FREE.
//
//    Use, duplication, or disclosure by the U.S. Government is subject to
//    restrictions set forth in FAR 52.227-19 (Commercial Computer
//    Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//    (Rights in Technical Data and Computer Software), as applicable.
//
//  ----------------------------------------------------------------

showurls : dialog {
/// ***ET2GP-Anpassung*** Dialogtitel gendert
//label = "SHOWURLS - Show objects with attached URLs";
  label = "ZEIGURLS - Zeigt Objekte mit zugeordneten URLs";
  fixed_width=true;
/// ***ET2GP-Anpassung*** Breite von 82 auf 85 gendert
  width=85;
  : list_box {
    key = "lst_hdr";
    tabs="58 72";
    height = 2;
    fixed_height = true;
    tab_truncate = true;
  }
  : list_box {
    multiple_select=true;
    key="url_list";
    tabs="58 72";
    tab_truncate = true;
    is_default=true;
  }
  : row {
    : spacer {}
    : button {
      fixed_width=true;
      width=11;
      key="accept";
/// ***ET2GP-Anpassung*** Knopf-Label und Mnemonic-Key gendert
//      label= "Show URL";
//      mnemonic = "S";
      label= "URL anzeigen";
      mnemonic = "U";
    }
    : button {
      fixed_width=true;
      width=11;
      key="edit";
/// ***ET2GP-Anpassung*** Knopf-Label und Mnemonic-Key gendert  
//      label= "Edit";
//      mnemonic = "E";
      label= "Bearbeiten";
      mnemonic = "B";
      is_default = true;
    }
    : button {
      fixed_width=true;
      width=11;
      key="replace";
/// ***ET2GP-Anpassung*** Knopf-Label und Mnemonic-Key gendert
//      label= "Replace";
//      mnemonic = "R";
      label= "Ersetzen";
      mnemonic = "E";
    }
    : button {
      fixed_width=true;
      width=11;
      is_cancel=true;
      key="cancel";
/// ***ET2GP-Anpassung*** Knopf-Label und Mnemonic-Key gendert
//      label= "Close";
//      mnemonic = "C";
      label= "Schlieen";
      mnemonic = "S";
    }
    : button {
      fixed_width=true;
      width=11;
      key="help";
/// ***ET2GP-Anpassung*** Knopf-Label gendert
//      label= "&Help";
      label= "&Hilfe";
      is_help=true;
    }
    : spacer {}
  } // row
  : text_part {
    key="error";
    label="";
  }
}

churl : dialog {
  key = "title";
/// ***ET2GP-Anpassung*** Dialogtitel gendert
//label = "Change URL for All Selected Items";
  label = "URL der gewhlten Elemente bearbeiten";
  initial_focus = "url";
  : edit_box {
    label = "URL:";
    key = "url";
    edit_width = 50;
    edit_limit = 250;
    allow_accept = true;
  }
  ok_cancel_err;
}

repurl : dialog {
  key = "title";
/// ***ET2GP-Anpassung*** Dialogtitel gendert
//  label = "Replace URL text";
  label = "URL Text ersetzen";
  initial_focus = "find";
  : edit_box {
/// ***ET2GP-Anpassung*** Knopf-Label gendert
//    label = "Find what:";
    label = "Suchen:";
    key = "find";
    edit_width = 50;
    edit_limit = 250;
  }
  : edit_box {
/// ***ET2GP-Anpassung*** Knopf-Label gendert
//    label = "Replace with:";
    label = "Ersetzen mit:";
    key = "replace";
    edit_width = 50;
    edit_limit = 250;
    allow_accept = true;
  }
  ok_cancel_err;
}

/// ***ET2GP-Anpassung*** Warnungs-Label und Texte gendert
//layeroff : dialog {
//  label = "SHOWURLS Warning";
//  children_alignment = centered;
//  initial_focus = "accept";
//  : text { label = "The current layer is OFF!";}
//  : text { label = "It must be ON to show URLs!";}
//  : text { label = "";}
//  : text { label = "Turn the current layer ON?";}
//  yes_no;
//}
layeroff : dialog {
  label = "ZEIGURLS Warnung";
  children_alignment = centered;
  initial_focus = "accept";
  : text { label = "Der aktuelle Layer ist ausgeschaltet!";}
  : text { label = "Er muss eingeschaltet sein, um URLs anzeigen zu knnen!";}
  : text { label = "";}
//  : text { label = "Bitte den aktuellen Layer einschalten?";}
// gendert von Peter Tropf:
  : text { label = "Soll der aktuelle Layer temporr eingeschaltet werden?";}
  yes_no;
}

yes_button : retirement_button {
/// ***ET2GP-Anpassung*** Knopf-Label gendert
//  label           = "  Yes  ";
  label           = "  Ja  ";
  key             = "accept";
  is_default      = true;
}

no_button : retirement_button {
/// ***ET2GP-Anpassung*** Knopf-Label gendert
//  label           = "   No  ";
  label           = "   Nein  ";
  key             = "cancel";
  is_cancel       = true;
}

yes_no : column {
  : row {
    fixed_width = true;
    alignment = centered;
    yes_button;
    : spacer { width = 2;}
    no_button;
  }
}


