;|
*******************************************************************
*                                                                 *
* Wir sind das "Express-Tools 2 German Project"                   *
* Nachfolgend nur noch abgekrzt durch "ET2GP" !                  *
* --------------------------------------------------------------- *
* Die Beteiligten in alphabetischer Reihenfolge:                  *
*                                                                 *
* Vorname, Name         E-Mail-Adresse          Website           *
* --------------------------------------------------------------- *
* Holger Brischke       kontakt@defun.de        www.defun.de      *
* Martin Drese          drese@defun.de          keine Website     *
* Markus Hoffmann       hoffmann@defun.de       keine Website     *
* Marc Scherer          marc.scherer@zvo.com    keine Website     *
* Peter Tropf           info@petertropf.de      keine Website     *
*                                                                 *
* Special Guest (bersetzung der Hilfe-Texte)                     *
* Walter Verburg        walterverburg@web.de    keine Website     *
*                                                                 *
*******************************************************************

***ET2GP-Anpassung*** -> Kommentar
Diese bersetzung der Express-Tools fr AutoCAD 2004 basiert auf den
originalen, mit AutoCAD 2004 gelieferten Express-Tools von Autodesk.
Da nicht jeder deutsch-sprachige User von AutoCAD des Englischen
mchtig ist, haben wir diese bersetzung vorgenommen.

nderungen an den Originaltexten sind immer mit einem einleitenden
Kommentar versehen, wobei die Steuerzeichen fr Kommentare je nach
Dateiart variieren:

Eine nderung an einer Lisp-Datei ist folgendermaen markiert:

;;; ***ET2GP-Anpassung*** ...

Bei einem DCL-File dann so:

/// ***ET2GP-Anpassung*** ...

Originalzeilen bleiben soweit wie mglich erhalten, werden jedoch durch
ein "Auskommentieren" deaktiviert.

Anderweitige Modifikationen, wie z.B. komplett neue Zeilen oder permanent 
deaktivierte Funktionen sind mit einem erklrendem Kommentar versehen.

Beispiel:
...
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt...
         ;_ (prompt "\nSelect object(s) on the layer(s) to be isolated: ")
         (prompt "\nObjekt(e) auf zu isolierenden Layern whlen: ")
...

Jede angepasste Datei wird mit diesem Header vorneweg versehen, wobei die
nachfolgenden Zeilen bezglich der Informationen (wie z.B. Name des bersetzers)
natrlich variabel sind.

***ET2GP-Anpassung*** -> Kommentar
Version 1.0
30.09.2003
Holger Brischke
|;
;;
;;  etbug.lsp - report an express tool bug and email it to the xpress Tools team.
;;                    
;;
;;  Copyright  1999 by Autodesk, Inc.
;;
;;  Your use of this software is governed by the terms and conditions
;;  of the License Agreement you accepted prior to installation of this
;;  software.  Please note that pursuant to the License Agreement for this
;;  software, "[c]opying of this computer program or its documentation
;;  except as permitted by this License is copyright infringement under
;;  the laws of your country.  If you copy this computer program without
;;  permission of Autodesk, you are violating the law."
;;
;;  AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
;;  AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
;;  MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
;;  DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
;;  UNINTERRUPTED OR ERROR FREE.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun c:etbug ( / fna ans msg path )
  (if (equal "failed" (load "acadinfo.lsp" "failed"))
      (progn
       (alert
         ;;; ***ET2GP-Anpassung*** -> Info bersetzt
         ;"Could not load \"acadinfo.lsp\". Check the AutoCAD support path in OPTIONS."
         "Konnte  \"acadinfo.lsp\" nicht laden. berprfen Sie bitte die Supportverzeichnisse in den Optionen."
         )
       (exit)
      );progn then
  );if
 
  ;; Get the default location of the express directory just in 
  ;; case express is not on the support path.
  (if (setq path (findfile "acad.exe"))
      (setq path (substr path 1 (- (strlen path) 8))    ;; the acad root dir
            path (strcat path "express\\")		;; add the express dir
      );setq then
      (setq path "")
  );if
 
  (princ
    ;;; ***ET2GP-Anpassung*** -> Info bersetzt
    ;"\nGathering AutoCAD information...\n"
    "\nErmittle AutoCAD-Informationen...\n")
  (acet-etbug-acadinfo (+ 1 2 4 8 16 32 64)) ;; do not include lisp dump (128)
 
  (cond 
   ((not (setq fna (findfile "acadinfo.txt")))
    (alert
      ;;; ***ET2GP-Anpassung*** -> Info bersetzt
      ;"Acadinfo.txt was not successfully created."
      "Acadinfo.txt wurde NICHT erstellt."
      )
   );cond #1
 
   ((and (not (member "acetutil.arx" (arx)))
         (equal "failed" (arxload "acetutil.arx" "failed"))
         (equal "failed" (arxload (strcat path "acetutil.arx") "failed"))
    );and 
    (alert (strcat
             ;;; ***ET2GP-Anpassung*** -> Info bersetzt
             ;" \nCould not load \"acetutil.arx\". "
             ;"\nCheck the AutoCAD support path in OPTIONS."
             ;"\nNOTE: You can manually e-mail the acadinfo.txt file just created."
             " \nKonnte \"acetutil.arx\" nicht laden. "
             "\nberprfen Sie bitte die Supportverzeichnisse in den Optionen."
             "\nHINWEIS: Sie knnen die gerade erstellte \"acadinfo.txt\" auch manuell als E-Mail senden."
             )
    );alert
   );cond #2
 
   ((and (not (member "acetmail.arx" (arx)))
         (equal "failed" (arxload "acetmail.arx" "failed"))
         (equal "failed" (arxload (strcat path "acetmail.arx") "failed"))
    );and 
    (alert (strcat
             ;;; ***ET2GP-Anpassung*** -> Info bersetzt
             ;"Unable to send email."
             ;" \nCould not load \"acetmail.arx\". "
             ;"\nCheck the AutoCAD support path in OPTIONS."
             ;"\nNOTE: You can manually e-mail the acadinfo.txt file just created."
             "Kann die E-Mail nicht senden."
             " \nKann \"acetmail.arx\" nicht laden. "
             "\nberprfen Sie bitte die Supportverzeichnisse in den Optionen."
             "\nHINWEIS: Sie knnen die gerade erstellte \"acadinfo.txt\" auch manuell als E-Mail senden."
           )
    );alert
   );cond #3
 
   ((setq msg (acet-etbug-get-userinfo))
    (acet-send-bug msg)
   );cond #4
 
  );cond close
 
(princ)
);defun c:etbug
 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-etbug-get-userinfo ( / fna fh str a )
 (setq fna (findfile "acadinfo.txt"))
 (cond 
  ((not fna)
   (princ
     ;;; ***ET2GP-Anpassung*** -> Info bersetzt
     ;"\nCould not find acadinfo.txt"
     "\nKann die Datei \"acadinfo.txt\" nicht finden."
     )
  );cond #1
  ((not (setq fh (open "acadinfo.txt" "r")))
   (princ
     ;;; ***ET2GP-Anpassung*** -> Info bersetzt
     ;"\nCould open acadinfo.txt for read."
     "\nKann die Datei \"acadinfo.txt\" nicht zum Lesen ffnen."
     )
  );cond #2
  (T
   (repeat 20 (read-line fh));skip the header information
   (setq str "")
   (while (setq a (read-line fh))
    (setq str (strcat str "\r\n" a))
   );while
   (close fh)
   (setq a (acet-ui-txted 
               (strcat
                 ;;; ***ET2GP-Anpassung*** -> Info bersetzt
                 ;"Problem Description: \r\n\r\n\r\n"
                 ;"Steps to reproduce: \r\n"
                 "Problembeschreibung: \r\n\r\n\r\n"
                 "Schritte zum Reproduzieren: \r\n"
                 "- \r\n- \r\n- \r\n- \r\n"
                 );strcat
               ;;; ***ET2GP-Anpassung*** -> Info bersetzt
               ;"ETBUG: Enter a description of the problem and steps to reproduce"
               "ETBUG: Geben Sie eine Problembeschreibung und die Schritte zum Reproduzieren an"
           )
   );setq
   (if a
       (progn
        (setq str (strcat a str))
        (if (setq fh (open fna "w"))
            (progn
             (write-line str fh)
             (close fh)
            );progn then
            (princ
              ;;; ***ET2GP-Anpassung*** -> Info bersetzt
              ;"\nError: Could not open acadinfo.txt for write."
              "\nFehler: Kann nicht in die Datei \"acadinfo.txt\" schreiben."
              )
        );if
       );progn then
       (progn
        (setq str nil)
        (princ
          ;;; ***ET2GP-Anpassung*** -> Info bersetzt
          ;"\nOperation canceled."
          "Befehl abgebrochen"
          )
       );progn else
   );if
  );cond #3
 );cond close
 str
);defun acet-etbug-get-userinfo
 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-send-bug ( msg / host err )
 (princ "\n ")
 (princ "\n ")
 (princ "\r")
 (princ "                                                         ")
 (princ "\n")
 (setq host (acet-get-email-host))
 (if (/= host "")
     (progn
      (setq err (acet-smtp-send
                 host
                 (getvar "loginname")
                 "expresstools@autodesk.com"
                 "Beta Bug"
                 msg
                )
      );setq
      (if err
          (alert err)
          (princ
            ;;; ***ET2GP-Anpassung*** -> Info bersetzt
            ;"\nMessage successfully sent."
            "\nMitteilung erfolgreich versendet."
            )
      );if
     );progn then
     (princ
       ;;; ***ET2GP-Anpassung*** -> Info bersetzt
       ;"\nNo email host provided."
       "\nKein E-Mail-System gefunden."
       )
 );if
 
);defun acet-send-bug
 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun acet-get-email-host ( / def a )
 (setq def (getenv "acet_email_host"))
 (if (or (not def)
         (equal def "")
     );or
     (setq def "autodesk.com")
 );if
 (if (/= def "")
     (setq a (getstring (strcat
                          ;;; ***ET2GP-Anpassung*** -> Info bersetzt
                          ;"\nEnter the name of your outgoing mail server <"
                          "\nName des Postausgangsservers <"
                          def
                          ">: ")))
     (setq a (getstring
               ;;; ***ET2GP-Anpassung*** -> Info bersetzt
               ;"\nEnter your email host name: "
               "\nE-Mail Adresse:"
               ))
 );if
 (if (and (= a "")
          (/= def "")
     );and
     (setq a def)
 );if
 (setenv "acet_email_host" a)
 a
);defun acet-get-email-host
 
 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
;Takes a flags arg that is the sum of the following:
; 0 do nothing
; 1    (acet-acadinfo-do-header fh)
; 2    (acet-acadinfo-do-general fh)
; 4    (acet-acadinfo-do-express fh)
; 8    (acet-acadinfo-do-fileloads fh)
; 16   (acet-acadinfo-test-load ...)
; 32   typelib
; 64   sysvars
; 128  Lisp dump
;
;
(defun acet-etbug-acadinfo ( flags / fna fh op)
 
;initialize a bare bones error handler that will recover from a first try
;load_test failure and re-issue this command.
 
  (if (not Acet:Acadinfo-Olderr)
      (setq Acet:Acadinfo-Olderr *error*)
  );if
 
  (defun *error* ( msg / )
    (if Acet:Acadinfo-Error-On-Load-Test
      (progn
        (if fh
            (close fh)
        );if
        (setq *error* Acet:Acadinfo-Olderr
              Acet:Acadinfo-Olderr nil
        );setq
        (acet-etbug-acadinfo flags)
        (setq Acet:Acadinfo-Error-On-Load-Test nil)
      );progn
      (princ msg)
    );if
  );defun *error*
 
 
  (setq fna "acadinfo.txt");setq
 
  (if Acet:Acadinfo-Error-On-Load-Test
    (setq op "a")
    (progn
       (setq op "w")
    );progn then
  );if
 
  (if (setq fh (open fna op))
    (progn
      (close fh) (setq fh (open fna op)) ;close and re-open again in case of
                                         ;garbage echo from error recovery.
 
      (if (not Acet:Acadinfo-Error-On-Load-Test)
        (progn
 
          (if (= 1 (logand 1 flags))
              (progn
               (setq flags (- flags 1))
               (acet-acadinfo-do-header fh)
              );progn
          );if
          (if (= 2 (logand 2 flags))
              (progn
               (setq flags (- flags 2))
               (acet-acadinfo-do-general fh)
              );progn
          );if
          (if (= 4 (logand 4 flags))
              (progn
               (setq flags (- flags 4))
               (acet-acadinfo-do-express fh)
              );progn
          );if
          (if (= 8 (logand 8 flags))
              (progn
               (setq flags (- flags 8))
               (acet-acadinfo-do-fileloads fh)
              );progn
          );if
 
          (if (= 16 (logand 16 flags))
              (progn
               (setq flags (- flags 16))
               (princ
                 ;;; ***ET2GP-Anpassung*** -> Info bersetzt
                 ;"\Performing load tests..."
                 "\nFhre Ladetests durch ..."
                 )
               (write-line
                 ;;; ***ET2GP-Anpassung*** -> Info bersetzt
                 ;"Tests for successful load of LISP initialization files."
                 "Test fr das Laden der LISP-Initialisierungsdateien."
                 fh)
               (write-line (acet-acadinfo-test-load "acad2000.lsp") fh)
               (write-line (acet-acadinfo-test-load "acad2000doc.lsp") fh)
               (write-line (acet-acadinfo-test-load "acettest.fas") fh)
               (write-line (acet-acadinfo-test-load "acetutil.fas") fh)
               (write-line (acet-acadinfo-test-load "acetmain.mnl") fh)
              );progn
          );if
 
        );progn then
        (progn
          (write-line "" fh)
          (write-line
            ;;; ***ET2GP-Anpassung*** -> Info bersetzt
            ;"*****FAILURE during lisp file load tests.**** " fh
            "Fehler whrend der Tests zum LISP-Dateien-Laden"
            )
          (write-line
            ;;; ***ET2GP-Anpassung*** -> Info bersetzt
            ;"One of the following files causes an error on load: "
            "Eine der folgenden Dateien meldet einen Fehler beim Laden:"
            fh)
          (write-line "  acad2000.lsp"  fh)
          (write-line "  acad2000doc.lsp"  fh)
          (write-line "  acettest.fas" fh)
          (write-line "  acetutil.fas" fh)
          (write-line "  acetmain.mnl" fh)
        );progn else
      );if
 
 
      (if (= 32 (logand 32 flags))
          (progn
           (setq flags (- flags 32))
           (write-line
             ;;; ***ET2GP-Anpassung*** -> Info bersetzt
             ;" ------------------------- TYPELIB TEST -------------------------"
             " ---------------------- TYPENBIBLIOTHEK TEST ----------------------"
             fh)
           (write-line "" fh)
           (acet-acadinfo-check-typelib fh)
           (write-line "" fh)
          );progn
      );if
 
      (if (= 64 (logand 64 flags))
          (progn
           (setq flags (- flags 64))
           (write-line "" fh)
           (write-line (strcat "(arx) -> " (acet-acadinfo-item-to-string (arx))) fh)
           (write-line "" fh)
           (write-line
             ;;; ***ET2GP-Anpassung*** -> Info bersetzt
             ;" ------------------- SYSTEM VARIABLE SETTINGS -------------------"
             " ----------------- SYSTEM VARIABLEN EINSTELLUNGEN------------------"
             fh)
           (write-line "|;" fh)
           (close fh)
           (acet-acadinfo-vars-to-scr fna -1);append
          );progn
          (close fh)
      );if
      (if (= 128 (logand 128 flags))
          (progn
           (setq flags (- flags 128))
           (acet-acadinfo-lisp-dump fna)
          );progn
      );if
 
      (princ
        ;;; ***ET2GP-Anpassung*** -> Info bersetzt
        ;"\nDone."
        "\nFertig"
        )
    );progn then
    (princ
      ;;; ***ET2GP-Anpassung*** -> Info bersetzt
      ;"\nCannot open file for write."
      "\nKann die Datei nicht zum Schreiben ffnen!"
      )
  );if
 
  (setq *error* olderr)
 
  (princ)
);defun acet-etbug-acadinfo


(acet-autoload2	'("acadinfo.lsp"	(acet-acadinfo-do-header fh)))
(acet-autoload2	'("acadinfo.lsp"	(acet-acadinfo-do-general fh)))
(acet-autoload2	'("acadinfo.lsp"	(acet-acadinfo-do-express fh)))
(acet-autoload2	'("acadinfo.lsp"	(acet-acadinfo-do-fileloads fh)))
(acet-autoload2	'("acadinfo.lsp"	(acet-acadinfo-test-load fna)))
(acet-autoload2	'("acadinfo.lsp"	(acet-acadinfo-check-typelib fh)))
(acet-autoload2	'("acadinfo.lsp"	(acet-acadinfo-item-to-string a)))
(acet-autoload2	'("acadinfo.lsp"	(acet-acadinfo-vars-to-scr fna flag)))
(acet-autoload2	'("acadinfo.lsp"	(acet-acadinfo-lisp-dump fna)))
(princ)
