/// *******************************************************************
/// *                                                                 *
/// * Wir sind das "Express-Tools 2 German Project"                   *
/// * Nachfolgend nur nach abgekrzt durch "ET2GP" !                  *
/// * --------------------------------------------------------------- *
/// * Die Beteiligten in alphabetischer Reihenfolge:                  *
/// *                                                                 *
/// * Vorname, Name      E-Mail-Adresse             Website           *
/// * --------------------------------------------------------------- *
/// * Holger Brischke       kontakt@defun.de        www.defun.de      *
/// * Martin Drese          drese@defun.de          keine Website     *
/// * Markus Hoffmann       hoffmann@defun.de       keine Website     *
/// * Marc Scherer          marc.scherer@zvo.com    keine Website     *
/// * Peter Tropf           info@petertropf.de      keine Website     *
/// *                                                                 *
/// * Special Guest (bersetzung der Hilfe-Texte)                     *
/// * Walter Verburg        walterverburg@web.de    keine Website     *
/// *******************************************************************
/// 
/// ***ET2GP-Anpassung*** ->Kommentar
/// Diese bersetzung der Express-Tools fr AutoCAD 2004 basiert auf den
/// originalen, mit AutoCAD 2004 gelieferten Express-Tools von Autodesk.
/// Da nicht jeder deutsch-sprachige User von AutoCAD des Englischen
/// mchtig ist, haben wir diese bersetzung vorgenommen.
/// 
/// nderungen an den Originaltexten sind immer mit einem einleitenden
/// Kommentar versehen, wobei die Steuerzeichen fr Kommentar je nach
/// Dateiart variiert:
///
/// Eine nderung an einer Lisp-Datei ist folgendermaen markiert:
/// 
/// ;;; ***ET2GP-Anpassung*** ..."
/// 
/// Bei einem DCL-File dann so:
///
/// "/// ***ET2GP-Anpassung*** ..." 
/// 
/// Originalzeilen bleiben soweit wie mglich erhalten, werden jedoch durch
/// ein "Auskommentieren" deaktiviert.
/// 
/// Anderweitige Modifikationen, wie z.B. komplett neue Zeilen oder permanent 
/// deaktivierte Funktionen sind mit einem erklrendem Kommentar versehen.
/// 
/// Beispiel:
/// ...
/// ;;; ***ET2GP-Anpassung*** -> Dialog bersetzt...
///          ;_ (prompt "\nSelect object(s) on the layer(s) to be isolated: ")
///          (prompt "\nObjekt(e) auf zu isolierenden Layern whlen: ")
/// ...
/// 
/// Jede angepasste Datei wird mit diesem Header vorneweg versehen wobei die
/// nachfolgenden Zeilen bezglich der Informationen (wie z.B. Name des bersetzers)
/// natrlich variabel sind.
/// 
/// ***ET2GP-Anpassung*** -> Kommentar
/// Version 1.0
/// Oktober 2003
/// Martin Drese

//
//
//    LMAN.DCL
//    Copyright  1999 by Autodesk, Inc.
//
//    Your use of this software is governed by the terms and conditions of the
//    License Agreement you accepted prior to installation of this software.
//    Please note that pursuant to the License Agreement for this software,
//    "[c]opying of this computer program or its documentation except as
//    permitted by this License is copyright infringement under the laws of
//    your country.  If you copy this computer program without permission of
//    Autodesk, you are violating the law."
//
//    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//    UNINTERRUPTED OR ERROR FREE.
//
//    Use, duplication, or disclosure by the U.S. Government is subject to
//    restrictions set forth in FAR 52.227-19 (Commercial Computer
//    Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//    (Rights in Technical Data and Computer Software), as applicable.
//
//  ----------------------------------------------------------------

lman : dialog {
/// ***ET2GP-Anpassung*** ...
///  label = "Layer Manager: Save and Restore Layer Settings";
///  label = "Layer Manager: Sichern und Wiederherstellen von Layerstnden";
  label = "Layer Manager: Layerzustnde sichern und wiederherstellen";
  key= "lman";
  : boxed_row {
  /// ***ET2GP-Anpassung*** ...
  ///  label = "Saved Layer states:";
    label = "Gespeicherte Layerzustnde:";
    : list_box {
      //label = "Saved Layer states:";
      mnemonic = "L";
      width = 42;
      tabs = "34";
      key = "list_states";
      tab_truncate = true;
    }
    : column {
      // spacer_1;
      //spacer_1;
      : button {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "Save...";
        label = "Sichern...";
        mnemonic = "S";
        //fixed_width=true;
        //width=18;
        key = "saveas";
      }
      : button {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "Edit...";
        label = "Bearbeiten...";
        mnemonic = "B";
        //fixed_width=true;
        //width=18;
        key = "edit";
      }
      // spacer_1;
      : button {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "Rename...";
        label = "Umbenennen...";
        mnemonic = "U";
        //fixed_width=true;
        //width=18;
        key = "rename";
      }
      : button {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "Delete";
        label = "Lschen";
        mnemonic = "L";
        //fixed_width=true;
        //width=18;
        key = "delete";
      }
      // spacer_1;
      : button {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "Import...";
        label = "Import...";
        mnemonic = "I";
        //fixed_width=true;
        //width=18;
        key = "import";
      }
      : button {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "eXport...";
        label = "Export...";
        mnemonic = "X";
        //fixed_width=true;
        //width=18;
        key = "export";
      }
      : button {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "Options...";
        label = "Optionen...";
        //fixed_width=true;
        //width=18;
        mnemonic = "O";
        key = "options";
      }
    } //column
  } //box_row
  //: boxed_row {
  : text_part
  { label = "          ";
    key   = "msg";
  }
  //}
  : row {
    spacer_1;
    : button {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "Restore";
      label = "Wiederherstellen";
      width=14;
      fixed_width=true;
      mnemonic = "W";
      key = "restore";
    }
    //spacer_1;
    : button {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "Close";
      label = "Schlieen";
      fixed_width=true;
      width=14;
      mnemonic = "c";
      key = "close";
      is_cancel =true;
    }
    : button {
      fixed_width=true;
      width=14;
      key="help";
      /// ***ET2GP-Anpassung*** ...
      /// label= "&Help";
      label= "&Hilfe";
      is_help=true;
    }
    spacer_1;
  }
}

new_lman : dialog {
/// ***ET2GP-Anpassung*** ...
  ///label = "Layer state name";
  ///label = "Layerstandsname";
  label = "Name fr Layerzustand";
  : text_part {
    key = "new_msg";
    value = "";
    width = 32;
  }
  : edit_box {
    key = "new_name";
    value = "";
    fixed_width=true;
    width = 32;
    edit_limit=256;
  }
  : row {
    spacer_1;
    : button {
      label = "OK";
      width=10;
      fixed_width=true;
      mnemonic = "O";
      is_default=true;
      key = "accept";
    }
    spacer_1;
    : button {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "Cancel";
      label = "Abbruch";
      fixed_width=true;
      width=10;
      mnemonic = "c";
      key = "cancel";
      is_cancel =true;
    }
    spacer_1;
  }
}

warning : dialog {
/// ***ET2GP-Anpassung*** ...
///  label = "* Warning! *";
  label = "* Warnung! *";
  spacer_1;
  //alignment = centered;
  : column {
    : text_part {
      key = "warn_msg";
      value = "";
      width = 42;
    }
    : text_part {
      key = "warn_msg2";
      value = "";
      width = 42;
    }
  }
  spacer_1;
  : row {
    spacer_1;
    : button {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "Yes";
      label = "Ja";
      width=10;
      fixed_width=true;
      mnemonic = "J";
      key = "accept";
    }
    spacer_1;
    : button {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "No";
      label = "Nein";
      fixed_width=true;
      width=10;
      mnemonic = "N";
      key = "cancel";
      is_cancel =true;
    }
    spacer_1;
  }
}

lmanmode : dialog
{
/// ***ET2GP-Anpassung*** ...
///  label = "Layer Manager: Restore Options";
  label = "Layer Manager: Wiederherstellungs-Optionen";
  : boxed_column {
    /// ***ET2GP-Anpassung*** ...
    //label="Select properties to restore:";
    label="Wiederherzustellende Optionen:";

    : toggle {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "ON/OFF status";
      label = "EIN/AUS";
      key = "onoff";
      mnemonic = "E";
      fixed_width = true;
    }
    : toggle {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "Thaw/Freeze status";
      label = "Getaut/Gefroren";
      key = "thawfreeze";
      mnemonic = "t";
      fixed_width = true;
    }
    : toggle {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "Thaw/Freeze in current Viewport status";
      label = "Getaut/Gefroren im aktuellen Ansichtsfenster";
      key = "vpthawfreeze";
      mnemonic = "A";
      fixed_width = true;
    }
    : toggle {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "Locked/Unlocked status";
      label = "Gesperrt/Entsperrt";
      key = "lock";
      mnemonic = "G";
      fixed_width = true;
    }
    : toggle {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "Color status";
      label = "Farbe";
      key = "color";
      mnemonic = "F";
      fixed_width = true;
    }
    : toggle {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "Linetype status";
      label = "Linientyp";
      key = "linetype";
      mnemonic = "L";
      fixed_width = true;
    }
    : toggle {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "Line&weight status";
      label = "Linie&nstrke";
      key = "lineweight";
      fixed_width = true;
    }
    : toggle {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "&Plot status";
      label = "&Plotten (ja/nein)";
      key = "plot";
      fixed_width = true;
    }
    : toggle {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "Plot&Style status";
      label = "Plot&stil";
      key = "plotstyle";
      fixed_width = true;
    }
    spacer;
  } // boxed column
  : row
  {
    : button {
      fixed_width=true;
      width=11;
      key="accept";
      is_default=true;
      label= "OK";
    }
    : button {
      fixed_width=true;
      width=11;
      is_cancel=true;
      key="cancel";
      /// ***ET2GP-Anpassung*** ...
      ///label= "Cancel";
      label= "Abbruch";
    }
    : button {
      fixed_width=true;
      width=11;
      key="help";
      /// ***ET2GP-Anpassung*** ...
      ///label= "&Help";
      label= "&Hilfe";
      is_help=true;
    }
  } // row
  : text_part
  {
    key="error";
    label="";
  }
}

lman_rename : dialog {
/// ***ET2GP-Anpassung*** ...
///  label = "Rename Layer state";
  label = "Layerzustand umbenennen";
  : row {
    : text_part {
      key = "txt1";
      value = "";
      width = 10;
    }
    : edit_box {
      key = "ed1";
      value = "";
      fixed_width=true;
      width = 32;
      edit_limit=256;
    }
  } //row
  : row {
    : text_part {
      key = "txt2";
      value = "";
      width = 10;
    }
    : edit_box {
      key = "ed2";
      value = "";
      fixed_width=true;
      width = 32;
      edit_limit=256;
    }
  } //row
  : row {
    spacer_1;
    : button {
      label = "OK";
      width=10;
      fixed_width=true;
      mnemonic = "O";
      is_default=true;
      key = "accept";
    }
    spacer_1;
    : button {
    /// ***ET2GP-Anpassung*** ...
    ///  label = "Cancel";
      label = "Abbruch";
      fixed_width=true;
      width=10;
      mnemonic = "C";
      key = "cancel";
      is_cancel =true;
    }
    spacer_1;
  }
  : text_part
  {
    key="error";
    label="";
  }

}