/// *******************************************************************
/// *                                                                 *
/// * Wir sind das "Express-Tools 2 German Project"                   *
/// * Nachfolgend nur nach abgekrzt durch "ET2GP" !                  *
/// * --------------------------------------------------------------- *
/// * Die Beteiligten in alphabetischer Reihenfolge:                  *
/// *                                                                 *
/// * Vorname, Name      E-Mail-Adresse             Website           *
/// * --------------------------------------------------------------- *
/// * Holger Brischke       kontakt@defun.de        www.defun.de      *
/// * Martin Drese          drese@defun.de          keine Website     *
/// * Markus Hoffmann       hoffmann@defun.de       keine Website     *
/// * Marc Scherer          marc.scherer@zvo.com    keine Website     *
/// * Peter Tropf           info@petertropf.de      keine Website     *
/// *                                                                 *
/// * Special Guest (bersetzung der Hilfe-Texte)                     *
/// * Walter Verburg        walterverburg@web.de    keine Website     *
/// *******************************************************************
/// 
/// ***ET2GP-Anpassung*** ->Kommentar
/// Diese bersetzung der Express-Tools fr AutoCAD 2004 basiert auf den
/// originalen, mit AutoCAD 2004 gelieferten Express-Tools von Autodesk.
/// Da nicht jeder deutsch-sprachige User von AutoCAD des Englischen
/// mchtig ist, haben wir diese bersetzung vorgenommen.
/// 
/// nderungen an den Originaltexten sind immer mit einem einleitenden
/// Kommentar versehen, wobei die Steuerzeichen fr Kommentar je nach
/// Dateiart variiert:
///
/// Eine nderung an einer Lisp-Datei ist folgendermaen markiert:
/// 
/// ;;; ***ET2GP-Anpassung*** ..."
/// 
/// Bei einem DCL-File dann so:
///
/// "/// ***ET2GP-Anpassung*** ..." 
/// 
/// Originalzeilen bleiben soweit wie mglich erhalten, werden jedoch durch
/// ein "Auskommentieren" deaktiviert.
/// 
/// Anderweitige Modifikationen, wie z.B. komplett neue Zeilen oder permanent 
/// deaktivierte Funktionen sind mit einem erklrendem Kommentar versehen.
/// 
/// Beispiel:
/// ...
/// ;;; ***ET2GP-Anpassung*** -> Dialog bersetzt...
///          ;_ (prompt "\nSelect object(s) on the layer(s) to be isolated: ")
///          (prompt "\nObjekt(e) auf zu isolierenden Layern whlen: ")
/// ...
/// 
/// Jede angepasste Datei wird mit diesem Header vorneweg versehen wobei die
/// nachfolgenden Zeilen bezglich der Informationen (wie z.B. Name des bersetzers)
/// natrlich variabel sind.
/// 
/// ***ET2GP-Anpassung*** -> Kommentar
/// Version 1.0
/// 25.11.2003
/// Peter Tropf

//
//    OVERKILL.DCL
//    Created by Randy Kintzley 7/19/99
//
//    Copyright  1999 by Autodesk, Inc.
//
//    Your use of this software is governed by the terms and conditions of the
//    License Agreement you accepted prior to installation of this software.
//    Please note that pursuant to the License Agreement for this software,
//    "[c]opying of this computer program or its documentation except as
//    permitted by this License is copyright infringement under the laws of
//    your country.  If you copy this computer program without permission of
//    Autodesk, you are violating the law."
//
//    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//    UNINTERRUPTED OR ERROR FREE.
//
//    Use, duplication, or disclosure by the U.S. Government is subject to
//    restrictions set forth in FAR 52.227-19 (Commercial Computer
//    Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//    (Rights in Technical Data and Computer Software), as applicable.
//
//  ----------------------------------------------------------------

overkill : dialog {
/// ***ET2GP-Anpassung*** ...
/// Peter Tropf: einige Mnemonics gendert; "gegenlufig" in "kollinear" gendert
///  label = "OVERKILL";
  label = "OVERKILL - OBEREINIG (Zeichnungsobjekte bereinigen)";
  : boxed_row {
  /// ***ET2GP-Anpassung*** ...
  ///  label="Object comparison settings";
  ///  label="Objektvergleichs Einstellungen"; gendert von Peter Tropf:
    label="Einstellungen fr den Objektvergleich";
     : column {
      : toggle {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "Ignore LAYERS";
        label = "Ignoriere LAYER";
        key = "layer";
        mnemonic = "L";
        fixed_width = true;
      }
      : toggle {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "Ignore LINETYPE";
        label = "Ignoriere LINIENTYP";
        key = "linetype";
        mnemonic = "T";
        fixed_width = true;
      }
      : toggle {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "Ignore COLOR";
        label = "Ignoriere FARBE";
        key = "color";
        mnemonic = "F";
        fixed_width = true;
      }
      : toggle {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "Ignore LINEWEIGHT";
        label = "Ignoriere LINIENSTRKE";
        key = "lineweight";
        mnemonic = "S";
        fixed_width = true;
      }
      : toggle {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "Ignore PLOTSTYLE";
        label = "Ignoriere PLOTSTIL";
        key = "plotstyle";
        mnemonic = "P";
        fixed_width = true;
      }
     } // column
      spacer;
      : edit_box {
      /// ***ET2GP-Anpassung*** ...
      ///label="Numeric fuzz";
      ///label="Genauigkeit"; gendert von Peter Tropf
      label="Toleranzwert fr den Vergleich:";
      fixed_width=true;
      key="fuz";
      width=15;
      edit_width=15;
      alignment=top;
      }
   } // boxed row
//   spacer;
   : boxed_column {
   /// ***ET2GP-Anpassung*** ...
   /// label="Lines, Arcs and Plines";
    label="Linien, Bgen und Polylinien";
      : toggle {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "PLINES - Optimize segments within plines";
        label = "PLINIEN - Optimieren der Segmente innerhalb von Polylinien";
        key = "plines";
        mnemonic = "I";
      }
      : toggle {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "OVERLAP - Combine co-linear objects that partially overlap";
        label = "BERDECKEN - Vergleiche sich teilweise berdeckende kollineare Objekte";
        key = "partial";
        mnemonic = "";
      }
      : toggle {
      /// ***ET2GP-Anpassung*** ...
      ///  label = "END to END - Combine co-linear objects when aligned end to end";
        label = "ENDE zu ENDE - Vergleiche kollineare Objekte mit gleichen Endpunkten";
        key = "endtoend";
        mnemonic = "E";
      }
   } // boxed column
  spacer;
  : row
  {
    spacer;
    spacer;
    spacer;
    spacer;
    spacer;
    spacer;
    spacer;
    spacer;
//    spacer;
//    spacer;
//    spacer;
    : button {
      fixed_width=true;
      width=13;
      key="accept";
      is_default=true;
      label= "OK";
    }
    : button {
      fixed_width=true;
      width=13;
      is_cancel=true;
      key="cancel";
      /// ***ET2GP-Anpassung*** ...
      ///label= "Cancel";
      label= "Abbruch";
    }
    : button {
      fixed_width=true;
      width=13;
      key="help";
      /// ***ET2GP-Anpassung*** ...
      ///label= "&Help";
      label= "&Hilfe";
      is_help=true;
    }
//    spacer;
  } // row
  : text_part
  {
    key="error";
    label="";
  }
}
