;|
*******************************************************************
*                                                                 *
* Wir sind das "Express-Tools 2 German Project"                   *
* Nachfolgend nur nach abgekrzt durch "ET2GP" !                  *
* --------------------------------------------------------------- *
* Die Beteiligten in alphabetischer Reihenfolge:                  *
*                                                                 *
* Vorname, Name         E-Mail-Adresse          Website           *
* --------------------------------------------------------------- *
* Holger Brischke       kontakt@defun.de        www.defun.de      *
* Martin Drese          drese@defun.de          keine Website     *
* Markus Hoffmann       hoffmann@defun.de       keine Website     *
* Marc Scherer          marc.scherer@zvo.com    keine Website     *
* Peter Tropf           info@petertropf.de      keine Website     *
*                                                                 *
* Special Guest (bersetzung der Hilfe-Texte)                     *
* Walter Verburg        walterverburg@web.de    keine Website     *
*                                                                 *
*******************************************************************

***ET2GP-Anpassung*** -> Kommentar
Diese bersetzung der Express-Tools fr AutoCAD 2004 basiert auf den
originalen, mit AutoCAD 2004 gelieferten Express-Tools von Autodesk.
Da nicht jeder deutsch-sprachige User von AutoCAD des Englischen
mchtig ist, haben wir diese bersetzung vorgenommen.

nderungen an den Originaltexten sind immer mit einem einleitenden
Kommentar versehen, wobei die Steuerzeichen fr Kommentare je nach
Dateiart variieren:

Eine nderung an einer Lisp-Datei ist folgendermaen markiert:

;;; ***ET2GP-Anpassung*** ...

Bei einem DCL-File dann so:

/// ***ET2GP-Anpassung*** ...

Originalzeilen bleiben soweit wie mglich erhalten, werden jedoch durch
ein "Auskommentieren" deaktiviert.

Anderweitige Modifikationen, wie z.B. komplett neue Zeilen oder permanent 
deaktivierte Funktionen sind mit einem erklrendem Kommentar versehen.

Beispiel:
...
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt...
         ;_ (prompt "\nSelect object(s) on the layer(s) to be isolated: ")
         (prompt "\nObjekt(e) auf zu isolierenden Layern whlen: ")
...

Jede angepasste Datei wird mit diesem Header vorneweg versehen, wobei die
nachfolgenden Zeilen bezglich der Informationen (wie z.B. Name des bersetzers)
natrlich variabel sind.

***ET2GP-Anpassung*** -> Dialog bersetzt
Version 1.0
02.08.2003
Martin Drese
|;

;;;
;;;    By Dominic Panholzer
;;;
;;;    TEXTMASK.LSP
;;;    Copyright  1999 by Autodesk, Inc.
;;;
;;;    Your use of this software is governed by the terms and conditions of the
;;;    License Agreement you accepted prior to installation of this software.
;;;    Please note that pursuant to the License Agreement for this software,
;;;    "[c]opying of this computer program or its documentation except as
;;;    permitted by this License is copyright infringement under the laws of
;;;    your country.  If you copy this computer program without permission of
;;;    Autodesk, you are violating the law."
;;;
;;;    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
;;;    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
;;;    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
;;;    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
;;;    UNINTERRUPTED OR ERROR FREE.
;;;
;;;    Use, duplication, or disclosure by the U.S. Government is subject to
;;;    restrictions set forth in FAR 52.227-19 (Commercial Computer
;;;    Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
;;;    (Rights in Technical Data and Computer Software), as applicable.
;;;
;;;  ----------------------------------------------------------------
;;;
;;;     TEXTMASK uses a masking object (WIPEOUT, SOLID, or 3DFACE) to hide
;;;     all entities behind the selected text or mtext. The text object
;;;     is then grouped together with the masking object such that
;;;     they move, copy, erase, etc. together. To update after editing
;;;     text, run TEXTMASK again and select the text item to be updated.
;;;     The the previous masking object will be erased and a new one
;;;     will be created.
;;;
;;;
;;;
;;;  External Functions:
;;;
;;;     ACET-ERROR-INIT         --> ACETUTIL.FAS   Intializes bonus error routine
;;;     ACET-ERROR-RESTORE      --> ACETUTIL.FAS   Restores old error routine
;;;     ACET-GEOM-TEXTBOX       --> ACETUTIL.FAS   Returns textbox points for text or Mtext
;;;     ACET-GETVAR             --> ACETUTIL.FAS   Retrieves custom variables
;;;     ACET-GROUP-MAKE-ANON    --> ACETUTIL.FAS   Creates anonymous group
;;;     ACET-LAYER-LOCKED       --> ACETUTIL.FAS   Checks to see if layer is locked
;;;     ACET-LIST-M-ASSOC       --> ACETUTIL.FAS   Retrieves multiple assoc's from list
;;;     ACET-SPINNER            --> ACETUTIL.FAS   Creates spinning bar
;;;     ACET-SETVAR             --> ACETUTIL.FAS   Stores custom variables
;;;     ACET-SS-INTERSECTION    --> ACETUTIL.FAS   Returns ss with common entities
;;;     ACET-SS-NEW             --> ACETUTIL.FAS   Creates selection set from starting ent
;;;     ACET-SS-REDRAW          --> ACETUTIL.FAS   Redraws all entities in selection set
;;;     ACET-SS-REMOVE          --> ACETUTIL.FAS   Removes entities from selection set
;;;     ACET-SS-UNION           --> ACETUTIL.FAS   Combines two selection sets
;;;     ACET-STR-FORMAT         --> ACETUTIL.ARX   Alternate to strcat
;;;     ACET-SYSVAR-RESTORE     --> ACETUTIL.FAS   Restores sysvars from global list
;;;     ACET-SYSVAR-SET         --> ACETUTIL.FAS   Saves sysvars to global list
;;;     ACET-UCS-TO-OBJECT      --> ACETUTIL.FAS   Sets ucs to object
;;;     ACET-UI-POLYGON-SELECT  --> ACETUTIL.FAS   Simulates CP or WP and returns points
;;;     ACET-UI-FENCE-SELECT    --> ACETUTIL.FAS   Simulates fence selction and returns points
;;;     ACET-XDATA-SET          --> ACETUTIL.FAS   Attaches data to entity using xdata
;;;     ACET-XDATA-GET          --> ACETUTIL.FAS   Reads data from entity set with acet-xdata-set
;;;     BNS_SS_MOD              --> ACETUTIL.FAS   Filters selctions for locked layers etc.
 
 
 
; --------------------- GROUP LIST FUNCTION ----------------------
;   This function will return a list of all the group names in the
;   drawing and their entity names in the form:
;   (<ename of "ACAD_GROUP"> (<ename1> . <name1>) (<ename2> . <name2>))
; ----------------------------------------------------------------

(defun acet-textmask-group-list (/ GRP GDICT ITM NAM ENT GLST)
 
  (setq GRP   (dictsearch (namedobjdict) "ACAD_GROUP")
        GDICT (cdr (assoc -1 GRP))
  )
  (while (setq ITM (car GRP))       ; While edata item is available
    (if (= (car ITM) 3)             ; if the item is a group name
      (setq NAM (cdr ITM)           ; get the name
            GRP (cdr GRP)           ; shorten the edata
            ITM (car GRP)           ; get the next item
            ENT (cdr ITM)           ; which is the ename
            GRP (cdr GRP)           ; shorten the edata
            GLST (cons (cons ENT NAM) GLST)
      )
      (setq GRP (cdr GRP))          ; else shorten the edata
    )
  )
  (if GLST (setq GLST (cons GDICT GLST)))
  GLST                              ; return the list
)
 
 
; ----------------- MASK USING WIPEOUT FUNCTION ------------------
;   This function draws a wipeout under text TXT using the
;   offset value OSET
; ----------------------------------------------------------------
 
(defun acet-textmask-make-wipeout (ENT OSET / TXT TXTLAY TBX WIPOUT TXTYP TXTSTR)
 
  (setq TXT    (entget ENT (list "*"))               ; Get the text's edata
        TXTLAY (cdr (assoc 8 TXT))                   ; Get the layer of the text
        TXTYP  (cdr (assoc 0 TXT))                   ; Text or Mtext
        TXTSTR (cdr (assoc 1 TXT))
  )
 
  (if (/= TXTSTR "")
    (progn
 
      (if (= TXTYP "TEXT")
        (acet-ucs-cmd (list "_object" ENT))              ; set UCS to object
        (acet-ucs-to-object ENT)
      )
 
      (setq TBX (acet-geom-textbox TXT OSET))              ; Get the points around the text
 
      (if TBX
        (progn
          (command "_.pline")                        ; Create bounding pline box
           (while TBX
            (command (car TBX))
            (setq TBX (cdr TBX))
          )
          (command "_c")
 
          (command "_.wipeout" "_Polyline" (entlast) "_yes")  ; create wipeout entity          
 
          (setq WIPOUT (entlast))
 
          (command "_.change" WIPOUT "" "_Prop" "_Layer" TXTLAY "") ; and set its layer
 
          (acet-ucs-cmd (list "_previous"))              ; reset the ucs
 
          (entmake TXT)                              ; recreate text
          (setq TXT (entlast))                       ; such that it's on top
 
          (acet-xdata-set (list WIPOUT "ACET-TEXTMASK"
                          (list
                            (list "TextObject" (cdr (assoc 5 (entget TXT))) 1005)
                            (list "Offset" OSET 1040)
                          )
                        )
          )
 
          (acet-xdata-set (list TXT "ACET-TEXTMASK"
                          (list
                            (list "MaskObject" (cdr (assoc 5 (entget WIPOUT))) 1005)
                            (list "MaskType" "WIPEOUT" 1000)
                            (list "Offset" OSET 1040)
                          )
                        )
          )
 
          (command "_.move" TXT "" "0,0" "0,0")
 
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;          (acet-group-make-anon (list WIPOUT TXT) "In use by TEXTMASK") ; make the text and wipeout a group
 (acet-group-make-anon (list WIPOUT TXT) "benutzt von TEXTMASK")
          (entdel ENT)                               ; delete original text
 
        )
      ); if TBX
    ); progn then
  ); if not ""
)
 
; ------------------ MASK USING 3DFACE FUNCTION ------------------
;   This function draws a 3DFace ontop of text TXT using the
;   offset value OSET. The FACE and the TXT are then each raised
;   in the z direction.
; ----------------------------------------------------------------
 
(defun acet-textmask-make-3dface (ENT OSET / TXT TXTLAY TBX FACE MOVDIST)
 
  (setq TXT    (entget ENT (list "*"))               ; Get the text's edata
        TXTLAY (cdr (assoc 8 TXT))                   ; Get the layer of the text
  )
 
  (setq TBX (acet-geom-textbox TXT OSET))                  ; Get the points around the text
 
  (if TBX
    (progn
      (command "_.3dface")                           ; Create a 3DFace with invisible edges
      (while TBX
        (command "_i" (car TBX))
        (setq TBX (cdr TBX))
      )
      (command "")
 
      (setq FACE (entlast))
      (command "_.change" FACE "" "_Prop" "_Layer" TXTLAY "") ; and set its layer
 
      (setq MOVDIST (* 0.01 (cdr (assoc 40 TXT))))
 
      (acet-xdata-set (list FACE "ACET-TEXTMASK"
                      (list
                        (list "TextObject" (cdr (assoc 5 TXT)) 1005)
                        (list "Offset" OSET 1040)
                        (list "ZOffset" MOVDIST 1040)
                      )
                    )
      )
 
      (acet-xdata-set (list ENT "ACET-TEXTMASK"
                      (list
                        (list "MaskObject" (cdr (assoc 5 (entget FACE))) 1005)
                        (list "MaskType" "3DFACE" 1000)
                        (list "Offset" OSET 1040)
                        (list "ZOffset" MOVDIST 1040)
                      )
                    )
      )
 
      (command "_.move" ENT FACE "" "0,0" (strcat "0,0," (rtos MOVDIST 2 8)))
      (command "_.move" ENT "" "0,0" (strcat "0,0," (rtos MOVDIST 2 8)))

;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;      (acet-group-make-anon (list FACE ENT) "In use by TEXTMASK") ; make the text and 3DFace a group
(acet-group-make-anon (list FACE ENT) "benutzt von TEXTMASK")
      
    );progn then
  )
)
 
; ------------------- MASK USING SOLID FUNCTION ------------------
;   This function draws a solid ontop of text TXT using the
;   offset value OSET. The solid and the TXT are then each raised
;   in the z direction.
; ----------------------------------------------------------------
 
(defun acet-textmask-make-solid (ENT OSET / TXT TXTLAY TBX SOL MCOLOR TXTYP TXTSTR)
 
  (setq TXT    (entget ENT (list "*"))               ; Get the text's edata
        TXTLAY (cdr (assoc 8 TXT))                   ; Get the layer of the text
        TXTYP  (cdr (assoc 0 TXT))                   ; Text or Mtext
        TXTSTR (cdr (assoc 1 TXT))
  )
 
  (if (/= TXTSTR "")
    (progn
 
      (if (= TXTYP "TEXT")
        (acet-ucs-cmd (list "_object" ENT))              ; set UCS to object
        (acet-ucs-to-object ENT)
      )
 
      (setq TBX (acet-geom-textbox TXT OSET))              ; Get the points around the text
 
      (if TBX
        (progn
 
          (setq MCOLOR (acet-getvar (list "acet_textmask_maskcolor")))
 
          (if (= MCOLOR 0) (setq MCOLOR "BYBLOCK"))
          (if (= MCOLOR 256) (setq MCOLOR "BYLAYER"))
 
          (command "_.solid")                        ; Create a solid
          (command (car TBX))
          (command (cadr TBX))
          (command (cadddr TBX))
          (command (caddr TBX))
          (command "")
          (setq SOL (entlast))
          (command "_.change" SOL "" "_Prop" "_Layer" TXTLAY ) ; Set its layer
          (command "_color" (if MCOLOR MCOLOR 8) "")           ; and its color
 
          (acet-ucs-cmd (list "_previous"))              ; reset the ucs
 
          (entmake TXT)                              ; recreate text
          (setq TXT (entlast))                       ; such that it's on top
 
          (acet-xdata-set (list SOL "ACET-TEXTMASK"
                          (list
                            (list "TextObject" (cdr (assoc 5 (entget TXT))) 1005)
                            (list "Offset" OSET 1040)
                          )
                        )
          )
 
          (acet-xdata-set (list TXT "ACET-TEXTMASK"
                          (list
                            (list "MaskObject" (cdr (assoc 5 (entget SOL))) 1005)
                            (list "MaskType" "SOLID" 1000)
                            (list "MaskColor" "SOLID" 1000)
                            (list "Offset" OSET 1040)
                          )
                        )
          )
 
          (command "_.move" TXT "" "0,0" "0,0")
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;          (acet-group-make-anon (list SOL TXT) "In use by TEXTMASK") ; make the text and solid a group
          (acet-group-make-anon (list SOL TXT) "benutzt von TEXTMASK")
          (entdel ENT)                               ; delete original text
        )
      ); if TBX
    )
  )
)
 
; -------------------- OPTION GETTING FUNCTION -------------------
;   This function returns a list of currently set textmask options
; ----------------------------------------------------------------
 
(defun acet-textmask-get-options (/ OSET MTYPE MCOLOR)
  (setq OSET   (acet-getvar '("acet_textmask_offset"))
        MTYPE  (acet-getvar '("acet_textmask_masktype"))
        MCOLOR (acet-getvar '("acet_textmask_maskcolor"))
  )
  (if (or (not OSET) (not (= (type OSET) 'REAL)))    ; If no prior valid setting
    (setq OSET 0.35)                                 ; use 0.35 as default.
  )
  (if (or (not MTYPE) (not (member MTYPE '("Wipeout" "3dface" "Solid")))) ; If no prior valid setting
    (setq MTYPE "Wipeout")                                        ; use Wipeout as default.
  )
  (if (or (not MCOLOR) (not (= (type MCOLOR) 'INT))) ; If no prior valid setting
    (setq MCOLOR 8)                                  ; use color 8 as default
  )
  (list OSET MTYPE MCOLOR)
)
 
; --------------------- TEXT UNMASK FUNCTION ---------------------
;   This function takes an entity name and removes any existing
;   masking from it. GLST is the global group list as returned
;   by the acet-textmask-group-list function
; ----------------------------------------------------------------
 
(defun acet-textmask-unmask (ENT GLST / DOIT RLST GDAT GNAM ELST ENT2 ETYP RETURN GDICT ZDIST)
 
  (setq GDICT (car GLST)
        GLST  (cdr GLST)
        DOIT  T
  )                                                    ; Initialize the continue flag
 
  (if (setq RLST (mapcar 'cdr (acet-list-m-assoc 330 (entget ENT)))) ; Get all 330 codes in text
    (foreach GRP RLST                                  ; step through each
      (and
        DOIT
        (setq GDAT (entget GRP))                       ; get its etype
        (= "GROUP" (cdr (assoc 0 GDAT)))               ; if it is a group
        (setq ELST (mapcar 'cdr (acet-list-m-assoc 340 GDAT))) ; get its members
        (= (length ELST) 2)                            ; if there are two
        (member ENT ELST)                              ; And the text is in the list
        (if (eq (car ELST) ENT)                        ; get the member which is not
          (setq ENT2 (cadr ELST))                      ; the text.
          (setq ENT2 (car ELST))
        )
        (setq ETYP (cdr (assoc 0 (entget ENT2))))      ; get the entity type
        (or
          (= ETYP "WIPEOUT")                           ; make sure it is a wipeout
          (= ETYP "3DFACE")                            ; or a 3dface
          (= ETYP "SOLID")                             ; or a Solid
        )
        (setq GNAM (cdr (assoc GRP GLST)))
        (dictremove GDICT GNAM)                        ; explode the group
        (entdel ENT2)                                  ; delete the mask
        (setq DOIT   nil
              RETURN ETYP
        )
        (progn
          (if (setq ZDIST (acet-xdata-get (list ENT "ACET-TEXTMASK" "ZOffset")))
            (command "_.move" ENT "" "0,0" ".xy" "0,0" (- 0 (* 2 ZDIST)))
          )
          (acet-xdata-set (list ENT "ACET-TEXTMASK"
                          (list
                            (list "MaskObject" nil)
                            (list "MaskType" nil)
                            (list "Offset" nil)
                            (list "ZOffset" nil)
                            (list "MaskColor" nil)
                          )
                        )
          )
        )
      )
    )
  )
  RETURN
)
 
; ----------------------------------------------------------------
; ---------------------- TEXT UNMASK PROGRAM ---------------------
; ----------------------------------------------------------------
 
(defun c:textunmask (/ FLTR CNT NUM GLST SS ENT)
  (acet-error-init
    (list
      (list "cmdecho"   0
            "limcheck"  0
            "pickstyle" 0
      )
      T     ;flag. True means use undo for error clean up.
    );list
  );acet-error-init
 
 
  (setq FLTR      '( (-4 . "<OR")                     ; Filter for ssget.
                         (0 . "MTEXT")
                         (0 . "TEXT")
                     (-4 . "OR>")
                   )
        CNT        0
        NUM        0
        GLST       (acet-textmask-group-list)         ; Get all the groups in drawing
 
  )
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;  (princ "\nSelect text or MText object from which mask is to be removed.")
;;;  (princ "\nWhle Text oder MText Objekt von dem die Maskierung gelscht werden soll.")
;;; gendert von Peter Tropf:
  (princ "\nWhlen Sie Textobjekte, deren Maskierung gelscht werden soll.")
  (setq SS (ssget FLTR))
  (if SS
    (setq SS (car (bns_ss_mod SS 3 T)))      ; Remove all that are not in current space or on locked layer
  )
  (if SS
    (progn
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;      (princ "\nUnmasking text  ")
;;;      (princ "\ndemaskiere Text  ")
;;; gendert von Peter Tropf:
      (princ "\nMaskierung wird entfernt.")
      (While (setq ENT (ssname SS CNT))      ; step through each object in set
        (if (acet-textmask-unmask ENT GLST)
          (setq NUM (1+ NUM))
        )
        (acet-spinner)
        (setq CNT (1+ CNT))
      )
      (cond
        ((= NUM 0)
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;          (princ "\rNo masked text objects selected.")
          (princ "\rKeine maskierten Textobjekte gewhlt.")
        )
        ((= NUM 1)
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;          (princ "\rRemoved mask from one text object.")
          (princ "\rDie Maskierung des Textes wurde entfernt.")
        )
        (T
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt und Differenzierung nach Anzahl der gewhlten Objekte
;;;          (princ (acet-str-format "\rRemoved mask from %1 text objects."  (itoa NUM)))
         (if (= NUM 1)
           (princ (acet-str-format "\rDie Maskierung von %1 Text wurde entfernt." (itoa NUM)))
           (princ (acet-str-format "\rDie Maskierung von %1 Texten wurde entfernt." (itoa NUM)))
         ) ; end if
         )
      ); cond
    ); progn SS=T
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;    (prompt "\nNothing selected.")
    (prompt "\nNichts gewhlt.") ; SS=nil
  ); if SS
  (acet-error-restore)                                  ; Restore values
)
 
 
; ----------------------------------------------------------------
; ----------------------- TEXTMASK PROGRAM -----------------------
; ----------------------------------------------------------------
 
(defun c:textmask (/ acet-textmask-get-text CNT GLST OSET ENT LOCKED SSMASTER 
                     TMOPTIONS MTYPE ELAST)
 
; --------------------- Error initialization ---------------------
 
  (acet-error-init
    (list
      (list "cmdecho"   0
            "plinewid"  0
            "highlight" 0
            "osmode"    0
            "dimzin"    0
            "cecolor"   "bylayer"
            "limcheck"  0
            "pickstyle" 0
            "ucsicon"   (getvar "ucsicon")
      )
      T     ;flag. True means use undo for error clean up.
      '(progn
         (if SSMASTER (acet-ss-redraw SSMASTER 4))
         (acet-sysvar-set (list "cmdecho" 0));turn cmdecho off
         (command "_.redraw");do redraw
         (acet-sysvar-restore);re-set cmdecho back
         (princ)
         ;(command "_.redraw")
       )
    );list
  );acet-error-init
  (sssetfirst nil nil)
 
 
; ------------------ GET TEXT FROM USER FUNCTION -----------------
;   This function queries the user for the text to process
;   and returns a selection set
; ----------------------------------------------------------------
 
  (defun acet-textmask-get-text (/ TMOPTIONS OSET OSETSTR MTYPE MCOLOR SELMODE EN SS
                            SSLIST SSMASTER SSPREV MSKLOOP FLTR LOOP UNDOFLAG
                            UNDOMODE PT1 ANS WIPOUT MCOLOR_NEW UNDOLOOP PTLST
                         )
 
 
;;; ***ET2GP-Anpassung*** -> Bug beseitigt
;;; Der Befehl WIPEOUT ist in AutoCAD 2004 ein interner Befehl, also
;;; arbeitet die folgende berprfung in 2004 nicht mehr korrekt (es gibt kein "wipeout.arx").
  (if (member "wipeout.arx" (arx))
    (setq WIPOUT 1)
  )
;;; ***ET2GP-Anpassung*** -> Bug beseitigt
;;; Fr AutoCAD 2004 wird deshalb die Variable WIPOUT immer auf 1 gesetzt:
   (if (= (substr (getvar "acadver") 1 2) "16")(setq WIPOUT 1))
 
    (setq FLTR      '( (-4 . "<OR")                    ; Filter for ssget.
                           (0 . "MTEXT")
                           (0 . "TEXT")
                       (-4 . "OR>")
                     )
          LOOP      T
          UNDOFLAG  0
          SSPREV    (ssget "_p" FLTR)                  ; get the previous selection set for use w/ P option
;;; ***ET2GP-Anpassung***
;;; *** ACHTUNG: SELMODE und UNDOMODE werden NICHT bersetzt! *****
          SELMODE   "Add"                              
          UNDOMODE  "Add"      
    )
 
    (while LOOP
      (setvar "errno" 0)
      (setq TMOPTIONS (acet-textmask-get-options)      ; Get the currently set options
            OSET      (nth 0 TMOPTIONS)                ; Get the offset factor
            OSETSTR   (rtos OSET 2)                    ; Get the offset factor in string form
            MTYPE     (nth 1 TMOPTIONS)                ; Get the mask type (wipeout, 3dface, or Solid)
            MCOLOR    (nth 2 TMOPTIONS)                ; Get the mask color (used for solid option)
      )
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;      (initget "Masktype Offset Undo Window Crossing BOX ALL Previous Add Remove WPolygon CPolygon Fence _Masktype Offset Undo Window Crossing BOX ALL Previous Add Remove WPolygon CPolygon Fence")
      (initget "Maskentyp Abstand Zurck Fenster Kreuzen BOX ALLes Vorher Hinzu Entfern FPolygon KPolygon Zaun _Masktype Offset Undo Window Crossing BOX ALL Previous Add Remove WPolygon CPolygon Fence")
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;      (princ (acet-str-format "\nCurrent settings: Offset factor = %1, Mask type = %2" OSETSTR MTYPE))
      ;; ***ET2GP-Anpassung*** -> ET2GP-OPTION-TRANSLATOR eingesetzt
      (princ
        (ET2GP-OPTION-TRANSLATOR
          (acet-str-format
            "\nAktuelle Einstellungen: Abstand = %1, Maskentyp = %2"
            OSETSTR
            MTYPE
          ) ;_ end of acet-str-format
          (list (cons "Wipeout" "Wipeout-Freistellung")
                (cons "3dface" "3dflche")
          ) ;_ end of list
        ) ;_ end of ET2GP-OPTION-TRANSLATOR
      ) ;_ end of princ
      (if (= MTYPE "Solid")
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;        (princ (acet-str-format ", Mask color = %1" (itoa MCOLOR)))
;;;        (princ (acet-str-format ", Masken Farbe = %1" (itoa MCOLOR)))
;;;      gendert von Peter Tropf:
        (princ (acet-str-format ", Farbe der SOLID-Maske = %1" (itoa MCOLOR)))
      )
      (if (= SELMODE "Add")
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;        (setq EN (entsel "\nSelect text objects to mask or [Masktype/Offset]: "))
;;;         (setq EN (entsel "\nWhle zu maskierendes Textobjekt oder [Maskenart/Abstand]: "))
;;;         gendert von Peter Tropf:
         (setq EN (entsel "\nWhlen Sie die zu maskierenden Textobjekte oder [Maskentyp/Abstand]: "))
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;        (setq EN (entsel "\nSelect text objects to remove or [Masktype/Offset]: "))
;;;         (setq EN (entsel "\nWhle zu demaskierendes Textobjekt oder [Maskenart/Abstand]: "))
;;;         gendert von Peter Tropf:
         (setq EN (entsel "\nWhlen Sie die zu demaskierenden Textobjekte oder [Maskentyp/Abstand]: "))
      )
 
      (cond
 
;-- object selected --
 
        ((and (= (type EN) 'LIST)                                     ; If an object was selected
              (= (type (setq EN (car EN))) 'ENAME)
              (member (cdr (assoc 0 (entget EN))) '("MTEXT" "TEXT"))  ; and it is TEXT or MTEXT
         )
          (if (not (acet-layer-locked (cdr (assoc 8 (entget EN)))))
            (if (= SELMODE "Add")
              (progn
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                (princ "\n1 found")                    ; report it
                (princ "\n1 gefunden")
                (redraw EN 3)                          ; Highlight the object
                (setq SS       (ssadd EN)
                      SSLIST   (cons SS SSLIST)        ; Add it to the list of selection sets
                      SSMASTER (if SSMASTER            ; and add it to the master selection set
                                 (ssadd EN SSMASTER)
                                 (ssadd EN)
                               )
                )
              )
              (progn
                (if (and SSMASTER (ssmemb EN SSMASTER)) ; If the object has been selected
                  (progn
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                    (princ "\n1 removed")              ; report it
                    (princ "\n1 entfernt")
                    (redraw EN 4)                      ; Unhighlight the object
                    (setq SS       (ssadd EN))         ; make a selset out of it
                    (setq SSLIST   (cons SS SSLIST)    ; Add it to the list of selection sets
                          SSMASTER (ssdel EN SSMASTER) ; and remove it from the master selection set
                    )
                  )
                )
              )
            )
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;            (princ "\nObject is on a locked layer.")
            (princ "\nDas Objekt liegt auf einem gesperrten Layer.")
          )
        )
 
;-- nothing selected --
 
        ((= (getvar "errno") 7)                        ; If thin air was selected
          (setq PT1 (cadr (grread t)))                 ; grab the last point
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;         (prompt "\nOther corner: ")
         (prompt "\n andere Ecke: ")
          (command "_.move" "_box" PT1)                ; use the move command to get box selection
          (setvar "cmdecho" 1)
          (command pause)
          (setvar "cmdecho" 0)
          (command "")
          (if (wcmatch (getvar "cmdnames") "*MOVE*")   ; If something was selected
            (progn
              (command "0,0" "0,0")                    ; move it nowhere
              (setq SS (ssget "_p" FLTR))              ; and filter the selection for text objects
              (if SS                                   ; If text was selected
                (if (= SELMODE "Add")                  ; If in add selection mode
                (progn
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                    (princ (acet-str-format "\n%1 found" (itoa (sslength SS))))  ; report it
                    (princ (acet-str-format "\n%1 gefunden" (itoa (sslength SS))))
                    (setq SSLIST   (cons SS SSLIST)                     ; Add it to the list of selection sets
                          SSMASTER (acet-ss-union (list SSMASTER SS)); and add it to the master selection set
                    )
                    (acet-ss-redraw SSMASTER 3)
                  )
                  (progn                                 ; if in remove selection mode
                    (if (and SSMASTER (setq SS (acet-ss-intersection SS SSMASTER))) ; If selected items to be removed
                      (progn                                                     ; are in the master ss
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                        (princ (acet-str-format "\n%1 removed" (itoa (sslength SS))))     ; report it
                        (princ (acet-str-format "\n%1 entfernt" (itoa (sslength SS))))
                        (setq SSLIST   (cons SS SSLIST)                     ; Add it to the list of selection sets
                              SSMASTER (acet-ss-remove SS SSMASTER)      ; and remove it from the master selection set
                        )
                        (acet-ss-redraw SSMASTER 3)
                      )
                    )
                  )
                )
              )
            )
          )
        )
 
;-- get offset value --
        ((= EN "Offset")
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;          (princ (acet-str-format "\nMask offset currently set to %1" OSETSTR))
         (princ (acet-str-format "\nAktueller Maskenabstand %1" OSETSTR))
         (initget 4)                                                           ; No negative values allowed
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;         (setq ANS (getreal (acet-str-format "\nEnter offset factor relative to text height <%1>: " OSETSTR)))
         (setq ANS (getreal (acet-str-format "\nAbstandsfaktor relativ zur Texthhe eingeben <%1>: " OSETSTR)))
          (if ANS
            (acet-setvar (list "acet_textmask_offset" ANS 3)) ; If setvar function exists use it
          )
        )
 
;-- get mask type --
        ((= EN "Masktype")
          (setq MSKLOOP T)
          (while MSKLOOP
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt, ET2GP-OPTION-TRANSLATOR eingesetzt
;;;            (princ (acet-str-format "\nMask type currently set to %1" MTYPE))
            (princ (ET2GP-OPTION-TRANSLATOR
                     (acet-str-format "\nAktueller Maskentyp: %1" MTYPE)
                     (list (cons "Wipeout" "Wipeout-Freistellung")
                           (cons "3dface" "3dflche")
                     ) ;_ end of list
                   ) ;_ end of ET2GP-OPTION-TRANSLATOR

            ) ;_ end of princ
            (if (= WIPOUT 0)
              (progn
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                (initget "3dface Solid _3dface Solid")
                (initget "3dflche Solid _3dface Solid")
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt, ET2GP-OPTION-TRANSLATOR eingesetzt
;;;             (setq ANS (getkword (acet-str-format "\nSpecify entity type to use for mask [3dface/Solid] <%1>: " MTYPE )))
;;;             (setq ANS (getkword (acet-str-format "\nWhle Art der Maskierungen [3dflche/Solid] <%1>: "  MTYPE )))
;;;             gendert von Peter Tropf:
                (setq ANS
                       (getkword
                         (ET2GP-OPTION-TRANSLATOR
                           (acet-str-format
                             "\nWhlen Sie einen Maskentyp [3dflche/Solid] <%1>: "
                             MTYPE
                           ) ;_ end of acet-str-format
                           (list (cons "3dface" "3dflche")) ;_ end of list
                         ) ;_ end of ET2GP-OPTION-TRANSLATOR
                       ) ;_ end of getkword
                ) ;_ end of setq
              )
              (progn
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                (initget "Wipeout 3dface Solid _Wipeout 3dface Solid")
                (initget "Wipeout-Freistellung 3dflche Solid _Wipeout 3dface Solid")
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt, ET2GP-OPTION-TRANSLATOR eingesetzt
;;;             (setq ANS (getkword
;;;                       (acet-str-format "\nSpecify entity type to use for mask [Wipeout/3dface/Solid] <%1>: " 
;;;                        MTYPE )))
;;;             (setq ANS (getkword 
;;;                       (acet-str-format "\nWhle Art der Maskierungen [Wipeout/3dflche/Solid] <%1>: " MTYPE )))
;;;              gendert von Peter Tropf:
                (setq ANS
                       (getkword
                         (ET2GP-OPTION-TRANSLATOR
                           (acet-str-format
                             "\nWhlen Sie einen Maskentyp [Wipeout-Freistellung/3dflche/Solid] <%1>: "
                             MTYPE
                           ) ;_ end of acet-str-format
                           (list (cons "<Wipeout>" "<Wipeout-Freistellung>")
                                 (cons "3dface" "3dflche")
                           ) ;_ end of list
                         ) ;_ end of ET2GP-OPTION-TRANSLATOR
                       ) ;_ end of getkword
                )                       ; setq
              )
            )
            (cond
              ((and (= ANS "Wipeout") (not WIPOUT))
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;               (princ "\nLoading WIPEOUT for use with TEXTMASK...")
;;;               (princ "\nLade WIPEOUT fr den Gebrauch mit TEXTMASK...")
;;;              gendert von Peter Tropf:
                (princ "\nLade WIPEOUT fr die Benutzung durch TEXTMASK...")
                (setq WIPOUT 1)
                (setq MSKLOOP nil)
                (acet-setvar (list "acet_textmask_masktype" ANS 3))  ; Save the mask type
              )
              ((or (= ANS "Solid") (and (not ANS) (= MTYPE "Solid")))
                (setq MCOLOR_NEW (acad_colordlg MCOLOR))
                (if (and MCOLOR_NEW)                            ; If OK was selected
                  (progn
                    (acet-setvar (list "acet_textmask_masktype" ANS 3))  ; Save the mask type
                    (acet-setvar (list "acet_textmask_maskcolor" MCOLOR_NEW 3)) ; and the color
                  )
                )
                (setq MSKLOOP nil)
              )
              ((not ANS)
                (setq MSKLOOP nil)
              )
              (T
                (acet-setvar (list "acet_textmask_masktype" ANS 3)) ; If setvar function exists use it
                (setq MSKLOOP nil)
              )
            )
          )
        )
 
;-- switch Add/Remove mode --

        ((or (= EN "Add") (= EN "Remove"))
          (if (/= SELMODE  EN)                         ; If the selected mode is not already current
            (setq SSLIST   (cons SELMODE SSLIST)       ; uappend the undo list with the current mode
                  SELMODE  EN                          ; set the new selection mode current, and
                  UNDOMODE EN                          ; set the undo mode to the same
            )
          )
        )
 
;-- do an undo --
        ((= EN "Undo")
          (setq UNDOLOOP T)
          (while UNDOLOOP                              ; start to loop
            (cond
              ((not SSLIST)                                  ; If there is no undo list
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;               (princ "\nAll selections have been undone.") ; report it
               (princ "\nAlles Ausgewhlte wurde zurckgenommen.")
                (setq UNDOLOOP nil)                          ; and break the loop
              )
              ((equal (type (car SSLIST)) 'STR)        ; If the current list item is a mode
                (setq UNDOMODE (car SSLIST)            ; switch the undo mode
                      SSLIST  (cdr SSLIST)             ; and remove the item
                )
              )
              ((equal (type (car SSLIST)) 'PICKSET)    ; If the current list item is a selset
               (if (= UNDOMODE "Add")                 ; and the undo mode is add
                  (progn
                    (acet-ss-redraw (car SSLIST) 4)                       ; Unhighlight the selection
 
                    (setq SSMASTER (acet-ss-remove (car SSLIST) SSMASTER) ; Remove the set from the master list
                          SSLIST   (cdr SSLIST)                          ; and shorten the list
                    )
                    (acet-ss-redraw SSMASTER 3)         ; rehighlight the master selection
                  )
                  (progn                                                       ; if the undo mode is remove
                    (setq SSMASTER (acet-ss-union (list (car SSLIST) SSMASTER)) ; add the selset to the master list
                          SSLIST   (cdr SSLIST)                                ; and shorten the list
                    )
                    (acet-ss-redraw SSMASTER 3)         ; rehighlight the master selection
                  )
                )
               (setq SELMODE  "Add"                   ; Set the selection mode to add
                      UNDOLOOP nil                     ; and exit the undo loop
                )
              )
            )
          )
        )
 
;-- get all --
 
        ((= EN "ALL")
          (setq SS (ssget "_x" FLTR))
          (if SS
            (setq SS (car (bns_ss_mod SS 3 T)))        ; Remove all that are not in current space or on locked layer
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;            (princ "\nNothing found")
            (princ "\nNichts gefunden")
          )
          (if SS                                       ; If text was selected
            (if (= SELMODE "Add")                      ; If in add selection mode
              (progn
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                (princ (acet-str-format "\n%1 found" (itoa (sslength SS)) ))  ; report it
                (princ (acet-str-format "\n%1 gefunden" (itoa (sslength SS)) ))
                (setq SSLIST   (cons SS SSLIST)                     ; Add it to the list of selection sets
                      SSMASTER (acet-ss-union (list SSMASTER SS)); and add it to the master selection set
                )
                (acet-ss-redraw SSMASTER 3)
              )
              (progn                                   ; if in remove selection mode
                (if (and SSMASTER (setq SS (acet-ss-intersection SS SSMASTER))) ; If selected items to be removed
                  (progn                                                     ; are in the master ss
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                    (princ (acet-str-format "\n%1 removed" (itoa (sslength SS)) ))     ; report it
                    (princ (acet-str-format "\n%1 entfernt" (itoa (sslength SS)) ))
                    (setq SSLIST   (cons SS SSLIST)                     ; Add it to the list of selection sets
                          SSMASTER (acet-ss-remove SS SSMASTER)      ; and remove it from the master selection set
                    )
                    (acet-ss-redraw SS 4)
                  )
                )
              )
            )
          )
        )
 
;-- do a window, box, or crossing --
 
        ((or (= EN "Window") (= EN "Crossing")(= EN "BOX"))
          (command "_.move" (strcat "_" EN))
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;         (princ "\nFirst corner: ")
         (princ "\nErste Ecke: ")
          (command pause)
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;         (princ "Other corner: ")
         (princ "Entgegengesetzte Ecke angeben: ")     ; wie im Standard-Dialog
          (command pause "")                           ; use the move command to get box selection
          (if (wcmatch (getvar "cmdnames") "*MOVE*")   ; If something was selected
            (progn
              (command "0,0" "0,0")                    ; move it nowhere
              (setq SS (ssget "_p" FLTR))              ; and filter the selection for text objects
              (if SS                                   ; If text was selected
                (if (= SELMODE "Add")                  ; If in add selection mode
                  (progn
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                    (princ (acet-str-format "\n%1 found" (itoa (sslength SS)) ))  ; report it
                    (princ (acet-str-format "\n%1 gefunden" (itoa (sslength SS)) ))
                    (setq SSLIST   (cons SS SSLIST)                     ; Add it to the list of selection sets
                          SSMASTER (acet-ss-union (list SSMASTER SS)); and add it to the master selection set
                    )
                    (acet-ss-redraw SSMASTER 3)
                  )
                  (progn                               ; if in remove selection mode
                    (if (and SSMASTER (setq SS (acet-ss-intersection SS SSMASTER))) ; If selected items to be removed
                      (progn                                                     ; are in the master ss
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                        (princ (acet-str-format "\n%1 removed" (itoa (sslength SS)) ))     ; report it
                        (princ (acet-str-format "\n%1 entfernt" (itoa (sslength SS)) ))
                        (setq SSLIST   (cons SS SSLIST)                     ; Add it to the list of selection sets
                              SSMASTER (acet-ss-remove SS SSMASTER)      ; and remove it from the master selection set
                        )
                        (acet-ss-redraw SSMASTER 3)
                      )
                    )
                  )
                )
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                (princ "\nNothing found")
                (princ "\nNichts gefunden")
              )
            )
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;            (princ "\nNothing found")
            (princ "\nNichts gefunden")
          )
        )
 
;-- do fence or window/crossing poly --
 
        ((or (= EN "WPolygon") (= EN "CPolygon") (= EN "Fence"))
         (if (= EN "Fence")
            (setq EN    (substr EN 1 1)
                  PTLST (acet-ui-fence-select)
            )
            (setq EN    (substr EN 1 2)
                  PTLST (acet-ui-polygon-select (if (= EN "WP") 0 1))
            )
          )
          (if (and PTLST (setq SS (ssget (strcat "_" EN) PTLST FLTR)))
            (setq SS (car (bns_ss_mod SS 3 T)))        ; Remove all that are not in current space or on locked layer
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;            (princ "\nNothing found")
            (princ "\nNichts gefunden")
          )
          (if SS
            (if (= SELMODE "Add")                      ; If in add selection mode
              (progn
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                (princ (acet-str-format "\n%1 found" (itoa (sslength SS)) ))  ; report it
                (princ (acet-str-format "\n%1 gefunden" (itoa (sslength SS)) ))
                (setq SSLIST   (cons SS SSLIST)                     ; Add it to the list of selection sets
                      SSMASTER (acet-ss-union (list SSMASTER SS)); and add it to the master selection set
                )
                (acet-ss-redraw SSMASTER 3)
              )
              (progn                                   ; if in remove selection mode
                (if (and SSMASTER (setq SS (acet-ss-intersection SS SSMASTER))) ; If selected items to be removed
                  (progn                                                     ; are in the master ss
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                    (princ (acet-str-format "\n%1 removed" (itoa (sslength SS)) ))     ; report it
                    (princ (acet-str-format "\n%1 entfernt" (itoa (sslength SS)) ))
                    (setq SSLIST   (cons SS SSLIST)                     ; Add it to the list of selection sets
                          SSMASTER (acet-ss-remove SS SSMASTER)      ; and remove it from the master selection set
                    )
                    (acet-ss-redraw SS 4)
                  )
                )
              )
            )
          )
        )
 
;-- get previous --
 
        ((= EN "Previous")
          (if (setq SS SSPREV)                     ; If text was in the previous Selection set
            (setq SS (car (bns_ss_mod SS 3 T)))    ; Remove all that are not in current space or on locked layer
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;            (princ "\nNo text or Mtext in previous selection set.")
            (princ "\nKein TEXT- oder MTEXT-Objekt im Auswahlsatz.")
          )
          (if SS
            (if (= SELMODE "Add")                      ; If in add selection mode
              (progn
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                (princ (acet-str-format "\n%1 found" (itoa (sslength SS)) ))  ; report it
                (princ (acet-str-format "\n%1 gefunden" (itoa (sslength SS)) ))
                (setq SSLIST   (cons SS SSLIST)                     ; Add it to the list of selection sets
                      SSMASTER (acet-ss-union (list SSMASTER SS))    ; and add it to the master selection set
                )
                (acet-ss-redraw SSMASTER 3)
              )
              (progn                                   ; if in remove selection mode
                (if (and SSMASTER (setq SS (acet-ss-intersection SS SSMASTER))) ; If selected items to be removed
                  (progn                                                     ; are in the master ss
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;                    (princ (acet-str-format "\n%1 removed" (itoa (sslength SS)) ))     ; report it
                    (princ (acet-str-format "\n%1 entfernt" (itoa (sslength SS)) ))
                    (setq SSLIST   (cons SS SSLIST)                     ; Add it to the list of selection sets
                          SSMASTER (acet-ss-remove SS SSMASTER)      ; and remove it from the master selection set
                    )
                    (acet-ss-redraw SS 4)
                  )
                )
              )
            )
          )
        )
 
;-- exit --
 
        ((not EN)
          (setq LOOP nil)
        )
      )
    )
    SSMASTER
  )
 
; ----------------------------------------------------------------
;                          MAIN PROGRAM
; ----------------------------------------------------------------
 
 
; ------------------------ Get User input ------------------------
 
  (setq SSMASTER (acet-textmask-get-text))
 
  (setq CNT       0                                    ; Initilize the counter.
        TMOPTIONS (acet-textmask-get-options)          ; Get the currently set options
        OSET      (nth 0 TMOPTIONS)                    ; Get the offset factor
        MTYPE     (nth 1 TMOPTIONS)                    ; Get the mask type (wipeout or 3dface)
        GLST      (acet-textmask-group-list)           ; Get all the groups in drawing
  )
 
; ---------------------- get text to mask ------------------------
 
 
  (if SSMASTER
    (progn
      (acet-ss-redraw SSMASTER 4)                       ; Unhighlight everything
 
      (if (= MTYPE "Wipeout")
        (command "_.wipeout" "_frame" "_off")          ; Turn off wipeout frames
      )
 
      (if (acet-layer-locked (getvar "clayer"))         ; if current layer is locked
        (progn
          (command "_.layer" "_unl" (getvar "clayer") "")  ; unlock it
          (setq LOCKED T)
        )
      )
 
      (setvar "ucsicon" 0)
 
; ----------------- Step through each and mask -------------------
 
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt, ET2GP-OPTION-TRANSLATOR eingesetzt
;;;      (princ (acet-str-format "\nMasking text with a %1  "  MTYPE ))
      (princ
        (ET2GP-OPTION-TRANSLATOR
          (acet-str-format "\nMaskiere Text mit einem %1  " MTYPE)
          (list (cons "Wipeout" "Wipeout-Freistellung")
                (cons "3dface" "3dflche")
          ) ;_ end of list
        ) ;_ end of ET2GP-OPTION-TRANSLATOR
      ) ;_ end of princ
      
      (setq ELAST (entlast))
 
      (While (setq ENT (ssname SSMASTER CNT))          ; step through each object in set
 
        (acet-textmask-unmask ENT GLST)                ; remove any existing masks
 
 
          (cond
            ((= MTYPE "Wipeout")
              (acet-textmask-make-wipeout ENT OSET)
            )
            ((= MTYPE "3dface")
              (acet-textmask-make-3dface ENT OSET)
            )
            ((= MTYPE "Solid")
              (acet-textmask-make-solid ENT OSET)
            )
          )
 
          (if (not (= MTYPE "Wipeout"))                ; Since wipeout is noisey exclude
            (acet-spinner)                              ; from spinner activity
          )
 
        (setq CNT (1+ CNT))                            ; get the next text item
      ); while
 
      (if LOCKED (command "_.layer" "_lock" (getvar "clayer") "")) : relock if needed
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt und Differenzierung nach Anzahl der gewhlten Objekte
;;;      (princ (acet-str-format "\r%1 text items have been masked with a %2." (itoa CNT) MTYPE))
      ;; ***ET2GP-Anpassung*** -> ET2GP-OPTION-TRANSLATOR eingesetzt
      (if (= CNT 1)
        (princ
          (ET2GP-OPTION-TRANSLATOR
            (acet-str-format
              "\r%1 Text wurde mit einem %2 maskiert."
              (itoa CNT)
              MTYPE
            ) ;_ end of acet-str-format
            (list (cons "Wipeout" "Wipeout-Freistellung")
                  (cons "3dface" "3dflche")
            ) ;_ end of list
          ) ;_ end of ET2GP-OPTION-TRANSLATOR
        ) ;_ end of princ
        (princ
          (ET2GP-OPTION-TRANSLATOR
            (acet-str-format
              "\r%1 Texte wurden mit %2 maskiert."
              (itoa CNT)
              MTYPE
            ) ;_ end of acet-str-format
            (list (cons "Wipeout" "Wipeout-Freistellung")
                  (cons "3dface" "3dflche")
            ) ;_ end of list
          ) ;_ end of ET2GP-OPTION-TRANSLATOR
        ) ;_ end of princ
      ) ; end if
      (setq SSMASTER (acet-ss-new ELAST))               ; Gather up all new entities
      (if SSMASTER (command "_.select" SSMASTER ""))   ; and make them the current ss
 
    );progn
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt
;;;    (prompt "\nNothing selected.")
    (prompt "\nNichts gewhlt.")
  );if SSMASTER
 
  (acet-error-restore)                              ; Restore values
 
)


(princ)