;|
*******************************************************************
*                                                                 *
* Wir sind das "Express-Tools 2 German Project"                   *
* Nachfolgend nur noch abgekrzt durch "ET2GP" !                  *
* --------------------------------------------------------------- *
* Die Beteiligten in alphabetischer Reihenfolge:                  *
*                                                                 *
* Vorname, Name         E-Mail-Adresse          Website           *
* --------------------------------------------------------------- *
* Holger Brischke       kontakt@defun.de        www.defun.de      *
* Martin Drese          drese@defun.de          keine Website     *
* Markus Hoffmann       hoffmann@defun.de       keine Website     *
* Marc Scherer          marc.scherer@zvo.com    keine Website     *
* Peter Tropf           info@petertropf.de      keine Website     *
*                                                                 *
* Special Guest (bersetzung der Hilfe-Texte)                     *
* Walter Verburg        walterverburg@web.de    keine Website     *
*                                                                 *
*******************************************************************

***ET2GP-Anpassung*** -> Kommentar
Diese bersetzung der Express-Tools fr AutoCAD 2004 basiert auf den
originalen, mit AutoCAD 2004 gelieferten Express-Tools von Autodesk.
Da nicht jeder deutsch-sprachige User von AutoCAD des Englischen
mchtig ist, haben wir diese bersetzung vorgenommen.

nderungen an den Originaltexten sind immer mit einem einleitenden
Kommentar versehen, wobei die Steuerzeichen fr Kommentare je nach
Dateiart variieren:

Eine nderung an einer Lisp-Datei ist folgendermaen markiert:

;;; ***ET2GP-Anpassung*** ...

Bei einem DCL-File dann so:

/// ***ET2GP-Anpassung*** ...

Originalzeilen bleiben soweit wie mglich erhalten, werden jedoch durch
ein "Auskommentieren" deaktiviert.

Anderweitige Modifikationen, wie z.B. komplett neue Zeilen oder permanent 
deaktivierte Funktionen sind mit einem erklrendem Kommentar versehen.

Beispiel:
...
;;; ***ET2GP-Anpassung*** -> Dialog bersetzt...
         ;_ (prompt "\nSelect object(s) on the layer(s) to be isolated: ")
         (prompt "\nObjekt(e) auf zu isolierenden Layern whlen: ")
...

Jede angepasste Datei wird mit diesem Header vorneweg versehen, wobei die
nachfolgenden Zeilen bezglich der Informationen (wie z.B. Name des bersetzers)
natrlich variabel sind.

***ET2GP-Anpassung*** -> Kommentar
Version 1.0
13.10.2003
Markus Hoffmann
|;
;;
;;;
;;;    XDATA.LSP
;;;    Copyright  1999 by Autodesk, Inc.
;;;
;;;    Your use of this software is governed by the terms and conditions of the
;;;    License Agreement you accepted prior to installation of this software.
;;;    Please note that pursuant to the License Agreement for this software,
;;;    "[c]opying of this computer program or its documentation except as
;;;    permitted by this License is copyright infringement under the laws of
;;;    your country.  If you copy this computer program without permission of
;;;    Autodesk, you are violating the law."
;;;
;;;    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
;;;    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
;;;    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
;;;    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
;;;    UNINTERRUPTED OR ERROR FREE.
;;;
;;;    Use, duplication, or disclosure by the U.S. Government is subject to
;;;    restrictions set forth in FAR 52.227-19 (Commercial Computer
;;;    Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
;;;    (Rights in Technical Data and Computer Software), as applicable.
;;;
;;;  ----------------------------------------------------------------
 
;;;  DESCRIPTION
;;;
;;;   XDATA
;;;
;;;   Program that attaches extended data types to a selected entity.
;;;
;;;   After selecting an entity and entering an application name for the
;;;   extended data, the following types of extended data are prompted for:
;;;
;;;    1)  An ASCII string up to 255 bytes long (group code 1000).
;;;    2)  A layer name (group code 1003).
;;;    3)  An entity handle (group code 1005).
;;;    4)  3 real numbers (group code 1010).
;;;    5)  A 3D World space position (group code 1011).
;;;    6)  A 3D World space displacement (group code 1012).
;;;    7)  A 3D World space direction (group code 1013).
;;;    8)  A real number (group code 1040).
;;;    9)  A distance (group code 1041).
;;;   10)  A scale factor (group code 1042).
;;;   11)  A 16-bit integer (group code 1070).
;;;   12)  A 32-bit signed long integer (group code 1071).
;;;
;;;   Numbers 5, 6, 7, 9 and 10 are "transformable" data types, and
;;;   are either moved, scaled, rotated or mirrored along with the parent
;;;   entity, or possibly some combination of these, depending on the
;;;   group code and the nature of the operation on the parent entity.
;;;
;;;   Binary data chunks (group code 1004) are not supported.
;;;
;;;
;;;   XDLIST
;;;
;;;   Program that lists the Xdata associated with an application for the
;;;   selected entity.
;;;
;;;   For a complete description of extended data types see the "AutoCAD
;;;   Reference Manual."
 
;;;---------------------------------------------------------------------------;
;;; Internal error handling.
;;;---------------------------------------------------------------------------;
 
(defun xdataerr(s)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
  ;_(if (/= s "Function cancelled")
  ;_  (princ (acet-str-format "\nError: %1" s))
  ;_)
  ;;bersetzung:
  (if (/= s "Funktion abgebrochen")
    (princ (acet-str-format "\nFehler: %1" s))
  )
  (setq *error* olderr)
  (if ename (redraw ename 4))         ; de-highlight entity
  (princ)
)
 
;;;---------------------------------------------------------------------------;
;;; Get user input.
;;;---------------------------------------------------------------------------;
 
(defun getinput (/ cont esel )
 
  ;; Forces selection of an entity and sets ename to the name of the
  ;; selected entity.
 
  (while
    (not (setq esel (entsel)))
  )
 
  (if (= which 1)                     ; If XDATA() is happening...
    (progn
      (setq ename (car esel))         ; Get entity info...
      (redraw ename 3)                ; ...highlight entity
      (setq elist (entget ename (list "*"))) ; ...including xdata for all
                                      ; registered applications.
 
      ;; Force the entry of a registered application name (group code 1001).
 
      (setq cont T)
      (while cont
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
        ;_(setq rname (xstrcase (getstring "\nEnter application name: ")))
	;;bersetzung:
	(setq rname (xstrcase (getstring "\nApplikationsname eingeben: ")))
        (if (/= rname "")
          (setq cont nil)
        )
      )
    )
  )
  (if (= which 2)                     ; If XDPRINT() is happening...
    (progn
      (setq ename (car esel))         ; Get entity info
      (redraw ename 3)                ; ...highlight entity
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
      ;_(setq rname (xstrcase (getstring "\nEnter application name <*>: ")))
      ;;bersetzung:
      (setq rname (xstrcase (getstring "\nApplikationsname eingeben <*>: ")))
      (if (= rname "")                ; If null input, get all.
        (setq rname "*")
      )
      (setq elist (entget ename (list rname)))
    )
  )
)
 
;;;---------------------------------------------------------------------------;
;;; Get user values for extended entity data and build XD_LIST.
;;;---------------------------------------------------------------------------;
 
(defun getdata (/  xd_type input )
 
  (setq xflag 0)
 
  ;; Check whether the selected entity has some extended data already.
 
  (if (assoc -3 elist)
    (progn
      (setq size_old (xdsize (assoc -3 elist)))
      (princ
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
        ;_(acet-str-format"\nObject has %1 bytes of Xdata - new Xdata will be appended.\n" (itoa size_old))
	;;bersetzung:
	(acet-str-format"\nObjekt hat %1 Bytes XDaten - neue XDaten werden angehngt.\n" (itoa size_old))
      )
      ;(princ "\nObject has ")
      ;(princ size_old )
      ;(princ " bytes of Xdata - new Xdata will be appended.\n")
    )
  )
 
  (setq xd_list (list '(1002 . "}"))) ; Initialize list of xdata for this app.
 
  (setq xd_type T)                    ; Initialize loop terminator.
 
  (while (not (or (eq xd_type "EXit") (eq xd_type "Xit") (eq xd_type nil)))
    (setq hand (getvar "handles"))
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
    ;_(initget                          ; Initialize keyword list.
    ;_  "STring LAyer 3Real Position DISPlacement Handle DIRection Real DISTance SCale Integer LOng EXit Xit _STring LAyer 3Real Position DISPlacement Handle DIRection Real DISTance SCale Integer LOng EXit Xit"
    ;_)
    ;_(setq xd_type (getkword
    ;_   "\nEnter an option [3Real/DIR/DISP/DIST/Hand/Int/LAyer/LOng/Pos/Real/SCale/STr/eXit] <eXit>: ")
    ;_)
    ;;bersetzungen:
    (initget                          ; Initialize keyword list.
      "Zeichenkette Layer 3Real Position Verschiebung Handle RIchtung Real Abstand Skalierung Integer LOng EXit Xit _STring LAyer 3Real Position DISPlacement Handle DIRection Real DISTance SCale Integer LOng EXit Xit _STring LAyer 3Real Position DISPlacement Handle DIRection Real DISTance SCale Integer LOng EXit Xit _STring LAyer 3Real Position DISPlacement Handle DIRection Real DISTance SCale Integer LOng EXit Xit"
    )
    (setq xd_type (getkword
       "\nOption whlen [3Real/RIchtung/Verschiebung/Abstand/Handle/Integer/Layer/LOng/Position/Real/Skalierung/Zeichenkette/EXit] <EXit>: ")
    )
 
    ;; Add sub-list to xdata list.
 
    (cond
      ((eq xd_type "3Real")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
        ;_(if (/= (setq input (getpoint "\nSpecify 3 real numbers: ")) nil)
        ;;bersetung:
        (if (/= (setq input (getpoint "\n3 relle Zahlen eingeben: ")) nil)
           (setq xd_list (cons (cons 1010 input) xd_list))
        )
      )
      ((eq xd_type "DIRection")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
        ;_(if (/= (setq input (getpoint "\nSpecify 3D World space direction: ")) nil)
        ;;bersetzung:
        (if (/= (setq input (getpoint "\n3D-Wks-Richtung eingeben: ")) nil)
          (setq xd_list (cons (cons 1013 input) xd_list))
        )
      )
      ((eq xd_type "DISPlacement")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
       ;_(if (/= (setq input (getpoint "\nSpecify 3D World space displacement: ")) nil)
       ;;bersetung:
       (if (/= (setq input (getpoint "\n3D-Wks-Verschiebung eingeben: ")) nil)
          (setq xd_list (cons (cons 1012 input) xd_list))
        )
      )
      ((eq xd_type "DISTance")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
       ;_(if (/= (setq input (getdist "\nSpecify distance: ")) nil)
       ;;bersetung:
       (if (/= (setq input (getdist "\nAbstand eingeben: ")) nil)
          (setq xd_list (cons (cons 1041 input) xd_list))
        )
      )
      ((eq xd_type "Handle")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
       ;_(if (or ( = (setq hand (getstring "\nEnter database handle: ")) "0")
       ;;bersetzung:
       (if (or ( = (setq hand (getstring "\nDatenbankreferenz (Handle) eingeben: ")) "0")
                (handent hand)
            )
          (setq xd_list (cons (cons 1005 hand) xd_list))
          (if (/= hand "")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
	    ;_(princ "\nInvalid handle - handle must exist or have a 0 value.")
	    ;;bersetung:
	    (princ "\nUngltige Referenz (Handle) - sie muss existieren oder einen 0-Wert haben!")
          )
        )
      )
      ;; Values entered greater than 32767 cause AutoLISP to issue an
      ;; error message stating "Value must be between -32767 and 32767. "
      ;; Values less than 0 are trapped out by the (initget).  Though the
      ;; message may be confusing, the values are always correct.  This is
      ;; an AutoLISP limitation.
      ((eq xd_type "Integer")
        (initget 4)
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
        ;_(if (/= (setq input (getint "\nEnter 16-bit integer: ")) nil)
        ;;bersetzung:
        (if (/= (setq input (getint "\n16-Bit-Ganzzahl eingeben: ")) nil)
          (setq xd_list (cons (cons 1070 input) xd_list))
        )
      )
      ((eq xd_type "LAyer")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
       ;_(setq input (getstring "\nEnter layer name: "))
       ;;bersetzung:
       (setq input (getstring "\nLayername eingeben: "))
        (if (tblsearch "layer" input)
          (setq xd_list (cons (cons 1003 input) xd_list))
          (if (/= input "")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
	    ;_(princ "\nInvalid layer name - layer must exist.")
	    ;;bersetzung:
	    (princ "\nUngltiger Layername - der Layer muss vorhanden sein!")
          )
        )
      )
      ((eq xd_type "LOng")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
       ;_(if (/= (setq input (getint "\nEnter 32-bit signed long integer: ")) nil)
       ;;bersetzung:
       (if (/= (setq input (getint "\n32-Bit-Ganzzahl mit Vorzeichen eingeben: ")) nil)
          (setq xd_list (cons (cons 1071 input) xd_list))
        )
      )
      ((eq xd_type "Position")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
       ;_(if (/= (setq input (getpoint "\nSpecify 3D World space position: ")) nil)
       ;;bersetzung:
       (if (/= (setq input (getpoint "\n3D-Wks-Position eingeben: ")) nil)
          (setq xd_list (cons (cons 1011 input) xd_list))
        )
      )
      ((eq xd_type "Real")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
       ;_(if (/= (setq input (getreal "\nEnter real number: ")) nil)
       ;;bersetzung:
       (if (/= (setq input (getreal "\nReelle Zahl eingeben: ")) nil)
          (setq xd_list (cons (cons 1040 input) xd_list))
        )
      )
      ((eq xd_type "SCale")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
       ;_(if (/= (setq input (getreal "\nEnter scale factor: ")) nil)
       ;;bersetzung:
       (if (/= (setq input (getreal "\nSkalierfaktor eingeben: ")) nil)
          (setq xd_list (cons (cons 1042 input) xd_list))
        )
      )
      ((eq xd_type "STring")
;;; ***ET2GP-Anpassung*** -> Abfrage bersetzt...
       ;_(setq xd_list (cons (cons 1000 (getstring T
       ;_   "\nEnter ASCII string: ")) xd_list))
       ;;bersetzung:
       (setq xd_list (cons (cons 1000 (getstring T
          "\nASCII-Zeichenkette eingeben: ")) xd_list))
      )
      (t)
    )
  )
 
  ;; Was any xdata entered besides a registered application name ??
 
  (setq xflag (length xd_list))
 
  ;; Append opening brace to front of xdata list.
 
  (setq xd_list (cons '(1002 . "{") xd_list))
 
  ;; Append application name to front of xdata list.
 
  (setq xd_list (cons rname xd_list))
 
  ;; Append -3 group code to front of list containing xdata list.
 
  (setq xd_list (list -3 xd_list))
 
  ;; Find the total size of the new xdata.
 
  (setq size_new (xdsize xd_list))
)
 
 
;-----------------------------------------------------------------------------;
; XDATA
;-----------------------------------------------------------------------------;
 
(defun c:xdata (/ all elist ename old olderr new rname size_new xd_list
                  xd_list1 xd_list2 xd_list3 xd_ent regflag hand xflag
                  size_old which)
 
 
 
  (setq olderr *error*                ; Use special error handling function.
        *error* xdataerr)
 
  (setq which 1)                      ; Flag for (getinput)
 
  (setq regflag 0)                    ; Regapp flag.
 
  (getinput)                          ; Prompt for user input
 
  (redraw ename 4)                    ; De-highlight entity
 
 
 
  (if (regapp rname)                  ; Register the application name.
;;; ***ET2GP-Anpassung*** -> Ausgaben bersetzt...
    ;_(princ (acet-str-format "\n%1 new application.\n"  rname ))
    ;_(princ (acet-str-format "\nApplication %1 already registered.\n"  rname ))
    ;;bersetzungen:
    (princ (acet-str-format "\n%1 ist eine neue Applikation.\n"  rname ))
    (princ (acet-str-format "\nApplikation %1 ist bereits registriert.\n"  rname ))
  )
 
  ;; Prompt for user values for xdata and build xdata list XD_LIST.
 
  (getdata)
 
  ;; The extended data list is now added to the entity data.  This is a
  ;; little more involved if the entity already has extended data.  A check
  ;; of available Xdata space must be made too.
 
  (if (< size_new (xdroom ename))     ; If there is room for more...
    (progn
      (if (assoc -3 elist)            ; and contains xdata already...
        (progn
          (setq xd_list (cdr xd_list)) ; New xdata.
          (setq xd_ent (cdr (assoc -3 elist))) ; Old xdata.
          ;; Find old xdata with same regapp
          (if (setq old (cddr (assoc rname xd_ent)))
            (progn
              (setq regflag 1)
              (setq new (cdr (reverse (cddr (assoc rname xd_list)))))
              (setq all (append new old)) ; Join old and new xdata with
                                      ; same application name.
              (setq xd_list1 (cons (cons 1002 "{") all)) ; Add open curly
              (setq xd_list2 (cons rname xd_list1)) ; Add regapp
 
              ;; Substitute back into existing xdata list.
 
              (setq xd_list3 (subst xd_list2 (assoc rname xd_ent)
                                             (assoc -3 elist)))
           )
            (progn                    ; This is a new regapp...
              (setq xd_list (append xd_ent xd_list)) ; Joins xdata.
              (setq xd_list3 (cons -3 xd_list))
            )
          )
          (setq elist (subst xd_list3 (assoc -3 elist) elist)) ; Joins entity
        )
        (setq elist (cons xd_list elist)) ; No xdata yet.
      )
 
    )
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
    ;_(princ "\nInsufficient Xdata space available on object- no new Xdata appended.")
    ;;bersetzung:
    (princ "\nNicht gengend Platz im XDaten-Bereich des Objekts - keine neuen XDaten angehngt!")
  )
 
  ;; Finally update the entity in the database to contain the new xdata.
 
  (if (entmod elist)
    (if (and (= 1 regflag) (<= xflag 1))   ; old application name
;;; ***ET2GP-Anpassung*** -> Ausgaben bersetzt...
      ;_(princ "\nNo xdata appended.")
      ;_(princ "\nNew xdata appended.")
      ;;bersetzungen:
      (princ "\nKeine XDaten angehngt.")
      (princ "\nNeue XDaten angehngt.")
    )
  )
 
  (setq *error* olderr)               ; Reset the error function.
  (redraw ename 4)                    ; Dehighlight entity.
 
  (prin1)
)
 
;;;---------------------------------------------------------------------------;
;;;  XDLIST
;;;---------------------------------------------------------------------------;
 
(defun C:XDLIST (/ linecount xd_list app_list app_sub_list xd_code
                   xd_data rname elist ename olderr which)
 
  (setq olderr *error*                ; Redefine error handler.
        *error* xdataerr)
 
  (setq which 2)                      ; Flag for (getinput)
 
  (getinput)                          ; Get user input.
 
  (redraw ename 4)                    ; De-highlight entity.
 
  ;; See if there's any xdata in the selected entity associated with the
  ;; application name.
 
  (if (not (setq xd_list (assoc -3 elist)))
    (progn
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
      ;_(princ "\nNo Xdata associated with Application Name(s).")
      ;;bersetzung:
      (princ "\nKeine XDaten mit Applikationsname(n) verbunden!")
    )
    (setq xd_list (cdr xd_list))      ; Strip -3 from xd_list
  )
 
  (setq linecount 0)                  ; # of lines printed
 
  (while xd_list                      ; There's any xdata left...
    (setq app_list (car xd_list))
    (textscr)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
    ;_(princ "\n\n* Registered Application Name: ")
    ;;bersetzung:
    (princ "\n\n* Registrierter Applikationsname: ")
    (princ (car app_list))
    (setq app_list (cdr app_list))    ; Strip app name
    (while app_list
      (setq app_sub_list (car app_list))  ; Get sub list
      (setq xd_code (car app_sub_list))   ; Get group code
      (setq xd_data (cdr app_sub_list))   ; Get data
 
      ;; Conditions for all group codes.
      ;; Prints 'em all except binary chunks.
      (cond
        ((= 1000 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1000, ASCII string: ")
	 ;;bersetung:
	 (princ "\n* Code 1000, ASCII-Zeichenkette: ")
          (princ xd_data)
        )
        ((= 1001 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1001, Registered application name: ")
	 ;;bersetzung:
	 (princ "\n* Code 1001, Registrierter Applikationsname: ")
          (princ xd_data)
        )
        ((= 1002 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1002, Starting or ending brace: ")
	 ;;bersetzung:
	 (princ "\n* Code 1002, ffnende oder schlieende Klammer: ")
          (princ xd_data)
        )
        ((= 1003 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1003, Layer name: ")
	 ;;bersetzung:
	 (princ "\n* Code 1003, Layername: ")
         (princ xd_data)
        )
        ((= 1004 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1004, Binary data not printed.")
	 ;;bersetzung:
	 (princ "\n* Code 1004, Binrdaten, die nicht gedruckt werden.")
        )
        ((= 1005 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1005, Database handle: ")
	 ;;bersetzung:
	 (princ "\n* Code 1005, Datenbankreferenz (Handle): ")
          (princ xd_data)
        )
        ((= 1010 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1010, 3 real numbers: ")
	 ;;bersetzung:
	 (princ "\n* Code 1010, 3 reelle Zahlen: ")
          (princ (strcat "("
                 (rtos (car xd_data)) " "
                 (rtos (cadr xd_data)) " "
                 (rtos (caddr xd_data)) ")"))
        )
        ((= 1011 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1011, 3D World space position: ")
	 ;;bersetzung:
	 (princ "\n* Code 1011, 3D-Wks-Position: ")
          (princ (strcat "("
                 (rtos (car xd_data)) " "
                 (rtos (cadr xd_data)) " "
                 (rtos (caddr xd_data)) ")"))
        )
        ((= 1012 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1012, 3D World space displacement: ")
	 ;;bersetzung:
	 (princ "\n* Code 1012, 3D-Wks-Verschiebung: ")
          (princ (strcat "("
                 (rtos (car xd_data)) " "
                 (rtos (cadr xd_data)) " "
                 (rtos (caddr xd_data)) ")"))
        )
        ((= 1013 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1013, 3D World space direction: ")
	 ;;bersetzung:
	 (princ "\n* Code 1013, 3D-Wks-Richtung: ")
          (princ (strcat "("
                 (rtos (car xd_data)) " "
                 (rtos (cadr xd_data)) " "
                 (rtos (caddr xd_data)) ")"))
        )
        ((= 1040 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1040, Real number: ")
	 ;;bersetzung:
	 (princ "\n* Code 1040, Reelle Zahl: ")
          (princ (rtos xd_data))
        )
        ((= 1041 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1041, Distance: ")
	 ;;bersetzung:
	 (princ "\n* Code 1041, Abstand: ")
          (princ (rtos xd_data))
        )
        ((= 1042 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1042, Scale factor: ")
	 ;;bersetzung:
	 (princ "\n* Code 1042, Skalierfaktor: ")
          (princ (rtos xd_data))
        )
        ((= 1070 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1070, 16-bit integer: ")
	 ;;bersetzung:
	 (princ "\n* Code 1070, 16-Bit Ganzzahl: ")
          (princ xd_data)
        )
        ((= 1071 xd_code)
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Code 1071, 32-bit signed long integer: ")
	 ;;bersetzung:
	 (princ "\n* Code 1071, 32-Bit Ganzzahl mit Vorzeichen: ")
          (princ (rtos xd_data 2 0))
        )
        (t
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	 ;_(princ "\n* Unknown xdata code: ")
	 ;;bersetzung:
	 (princ "\n* Unbekannter XDaten-Code: ")
          (princ xd_code)
          (princ " *")
        )
      )
      (setq app_list (cdr app_list))
      (setq linecount (1+ linecount))
      (if (>= linecount 20)           ; Pause at 20 lines printed.
        (progn
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
	  ;_(getstring "\n-More-")
	  ;;bersetzung:
	  (getstring "\n-Mehr-")
          (setq linecount 0)
        )
      )
    )
  (setq xd_list (cdr xd_list))        ; Get next xdata list.
)
 
 
  (princ
;;; ***ET2GP-Anpassung*** -> Ausgabe bersetzt...
    ;_(acet-str-format "\n\nObject has %1 bytes of Xdata space available." (itoa (xdroom ename)))
    ;;bersetzung:
    (acet-str-format "\n\nEs sind noch %1 freie Bytes im XDaten-Bereich des Objekts verfgbar." (itoa (xdroom ename)))
  )
  ;(princ "\n\nObject has ")
  ;(princ (xdroom ename))              ; Figure how much room is left.
  ;(princ " bytes of Xdata space available.")
 
  (setq *error* olderr)               ; Reset the error function.
  (prin1)                             ; Quiet exit.
 
)


(princ)
